# $Revision: 1.637 $, $Date: 2009/06/01 23:05:29 $
#
# Do NOT build openssl as shared module or
# fsockopen('tls://host',...) will not work!
#
# TODO:
# - make additional headers added by mail patch configurable
# - too many unneccessary libs:
#  - libkrb5.so.3 is needed by (installed) php4-common-4.4.8-15.i686
#  - php4-common-4.4.8-15.i686 marks net-snmp-libs-5.4.1.2-1.i686 (cap libnetsnmp.so.15)
#    php5-common doesn't have such deps
#  - php4-cli pulls: libltdl
# - above is caused by openssl linked in statically as openssl links with kerberos
#
# Conditional build:
%bcond_with	db3		# use db3 packages instead of db (4.x) for Berkeley DB support
%bcond_with	fdf		# with FDF (PDF forms) module		(BR: proprietary lib)
%bcond_with	hardening	# build with hardening patch applied (http://www.hardened-php.net/)
%bcond_with	interbase_inst	# use InterBase install., not Firebird	(BR: proprietary libs)
%bcond_with	java		# with Java extension module		(BR: jdk)
%bcond_with	oci8		# with Oracle oci8 extension module	(BR: proprietary libs)
%bcond_with	oracle		# with oracle extension module		(BR: proprietary libs)
%bcond_without	cpdf		# without cpdf extension module
%bcond_without	curl		# without CURL extension module
%bcond_without	domxslt		# without DOM XSLT/EXSLT support in DOM XML extension module
%bcond_without	fribidi		# without FriBiDi extension module
%bcond_without	imap		# without IMAP extension module
%bcond_without	interbase	# without InterBase extension module
%bcond_without	ldap		# without LDAP extension module
%bcond_without	mhash		# without mhash extension module
%bcond_without	ming		# without ming extension module
%bcond_without	mm		# without mm support for session storage
%bcond_without	mnogosearch	# without mnogosearch extension module
%bcond_without	msession	# without msession extension module
%bcond_without	mssql		# without MS SQL extension module
%bcond_without	odbc		# without ODBC extension module
%bcond_without	openssl		# without OpenSSL support and OpenSSL extension (module)
%bcond_without	pcre		# without PCRE extension module
%bcond_without	pdf		# without PDF extension module
%bcond_without	pgsql		# without PostgreSQL extension module
%bcond_without	pspell		# without pspell extension module
%bcond_without	qtdom		# without Qt DOM extension module
%bcond_without	recode		# without recode extension module
%bcond_without	snmp		# without SNMP extension module
%bcond_without	sybase		# without Sybase and Sybase-CT extension modules
%bcond_without	wddx		# without WDDX extension module
%bcond_without	xml		# without XML and DOMXML extension modules
%bcond_without	xmlrpc		# without XML-RPC extension module
%bcond_with     system_xmlrpc_epi       # use system xmlrpc-epi library (broken on 64bit arches, see http://bugs.php.net/41611)
%bcond_without	xslt		# without XSLT extension module
%bcond_with	yaz		# without YAZ extension module
%bcond_without	apache1		# disable building apache 1.3.x module
%bcond_without	apache2		# disable building apache 2.x module
%bcond_without	fcgi		# disable building FCGI SAPI
%bcond_without	zts		# disable experimental-zts
%bcond_with	versioning	# build with experimental versioning (to load php4/php5 into same apache)

%define apxs1		/usr/sbin/apxs1
%define	apxs2		/usr/sbin/apxs

# mm is not thread safe
# ext/session/mod_mm.c:37:3: #error mm is not thread-safe
%if %{with zts}
%undefine	with_mm
%endif

%ifnarch %{ix86} %{x8664} sparc sparcv9 alpha
%undefine	with_interbase
%endif

# x86-only lib
%ifnarch %{ix86}
%undefine	with_msession
%endif

%define		rel 12
Summary:	PHP: Hypertext Preprocessor
Summary(fr.UTF-8):	Le langage de script embarque-HTML PHP
Summary(pl.UTF-8):	Język skryptowy PHP
Summary(pt_BR.UTF-8):	A linguagem de script PHP
Summary(ru.UTF-8):	PHP Версии 4 - язык препроцессирования HTML-файлов, выполняемый на сервере
Summary(uk.UTF-8):	PHP Версії 4 - мова препроцесування HTML-файлів, виконувана на сервері
Name:		php4
Version:	4.4.9
Release:	%{rel}%{?with_hardening:hardened}
Epoch:		3
License:	PHP
Group:		Libraries
Source0:	http://www.php.net/distributions/php-%{version}.tar.bz2
# Source0-md5:	2e3b2a0e27f10cb84fd00e5ecd7a1880
#Source0:	http://cvs.php.net/viewvc.cgi/phpweb/distributions/php-%{version}.tar.bz2?revision=1.1
Source3:	%{name}-mod_php.conf
Source4:	%{name}-cgi-fcgi.ini
Source5:	%{name}-cgi.ini
Source6:	%{name}-apache.ini
Source7:	%{name}-cli.ini
Source8:	http://www.hardened-php.net/hardening-patch-4.4.0-0.4.3.patch.gz
# Source8-md5:	6eac3c5c5a7473c68a043c7657298f48
Patch0:		%{name}-shared.patch
Patch1:		%{name}-pldlogo.patch
Patch2:		%{name}-xml-expat-fix.patch
Patch3:		%{name}-mail.patch
Patch4:		%{name}-link-libs.patch
Patch5:		%{name}-libpq_fs_h_path.patch
Patch6:		%{name}-wddx-fix.patch
Patch7:		%{name}-lib.patch
Patch8:		%{name}-hyperwave-fix.patch
Patch9:		%{name}-xslt-gcc33.patch
Patch10:	%{name}-java-norpath.patch
Patch11:	%{name}-mcal-shared-lib.patch
Patch12:	%{name}-msession-shared-lib.patch
Patch13:	%{name}-build_modules.patch
Patch14:	%{name}-sapi-ini-file.patch
Patch15:	%{name}-no-metaccld.patch
Patch16:	%{name}-session-unregister.patch
Patch17:	%{name}-ini.patch
Patch18:	%{name}-acam.patch
Patch19:	%{name}-xmlrpc-fix.patch
Patch20:	%{name}-libtool.patch
Patch21:	%{name}-allow-db31.patch
Patch22:	%{name}-threads-acfix.patch
Patch23:	%{name}-gmp.patch
Patch24:	%{name}-qt.patch
Patch25:	%{name}-no_pear_install.patch
Patch26:	%{name}-zlib.patch
Patch27:	%{name}-db-shared.patch
Patch28:	%{name}-sybase-fix.patch
Patch30:	%{name}-mnogosearch-fix.patch
Patch31:	%{name}-stupidapache_version.patch
Patch33:	%{name}-uint32_t.patch
Patch34:	%{name}-install_gd_headers.patch
Patch35:	%{name}-both-apxs.patch
Patch36:	php-dextension.patch
Patch37:	%{name}-zlib-for-getimagesize.patch
Patch38:	%{name}-ini-search-path.patch
Patch39:	%{name}-versioning.patch
Patch40:	%{name}-linkflags-clean.patch
Patch41:	%{name}-krb5.patch
Patch42:	%{name}-apr-apu.patch
Patch43:	%{name}-gd.patch
Patch45:	%{name}-config-dir.patch
Patch46:	%{name}-phpinfo_no_configure.patch
Patch47:	%{name}-ming.patch
Patch48:	%{name}-fcgi-graceful.patch
Patch49:	%{name}-ac.patch
Patch50:	%{name}-mime_magic.patch
Patch51:	%{name}-tds.patch
Patch52:	%{name}-lib64.patch
URL:		http://www.php.net/
%{?with_interbase:%{!?with_interbase_inst:BuildRequires:	Firebird-devel >= 1.0.2.908-2}}
%{?with_pspell:BuildRequires:	aspell-devel >= 2:0.50.0}
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1.4d
BuildRequires:	bison
BuildRequires:	bzip2-devel
BuildRequires:	cracklib-devel >= 2.7-15
%{?with_curl:BuildRequires:	curl-devel >= 7.12.0}
BuildRequires:	cyrus-sasl-devel
%{!?with_db3:BuildRequires:	db-devel >= 4.0}
%{?with_db3:BuildRequires:	db3-devel >= 3.1}
BuildRequires:	elfutils-devel
%if %{with wddx} || %{with xml} || %{with xmlrpc}
BuildRequires:	expat-devel
%endif
%{?with_fcgi:BuildRequires:	fcgi-devel}
%{?with_fdf:BuildRequires:	fdftk-devel}
BuildRequires:	flex
%if %{with mssql} || %{with sybase}
BuildRequires:	freetds-devel >= 0.82
%endif
BuildRequires:	freetype-devel >= 2.0
%{?with_fribidi:BuildRequires:	fribidi-devel >= 0.10.4}
BuildRequires:	gdbm-devel
BuildRequires:	gmp-devel
%if "%{pld_release}" != "ac"
%{?with_imap:BuildRequires:	krb5-devel}
%else
%{?with_imap:BuildRequires:	heimdal-devel >= 0.7}
%endif
%{?with_imap:BuildRequires:	imap-devel >= 1:2001-0.BETA.200107022325.2}
%{?with_java:BuildRequires:	jdk >= 1.1}
%{?with_cpdf:BuildRequires:	libcpdf-devel >= 2.02r1-2}
BuildRequires:	libjpeg-devel
BuildRequires:	libltdl-devel >= 1.4
BuildRequires:	libmcal-devel
BuildRequires:	libmcrypt-devel >= 2.4.4
BuildRequires:	libpng-devel >= 1.0.8
BuildRequires:	libtiff-devel
%if "%{pld_release}" != "ac"
BuildRequires:	libtool >= 2:2.2
%else
BuildRequires:	libtool >= 1.4.3
%endif
%{?with_xml:BuildRequires:	libxml2-devel >= 2.2.7}
%{?with_domxslt:BuildRequires:	libxslt-devel >= 1.0.3}
%{?with_mhash:BuildRequires:	mhash-devel}
%{?with_ming:BuildRequires:	ming-devel >= 0.3.0}
%{?with_mm:BuildRequires:	mm-devel >= 1.3.0}
%{?with_mnogosearch:BuildRequires:	mnogosearch-devel >= 3.2.29}
BuildRequires:	mysql-devel >= 3.23.32
BuildRequires:	ncurses-ext-devel
%{?with_ldap:BuildRequires:	openldap-devel >= 2.3.0}
%if %{with openssl} || %{with ldap}
BuildRequires:	openssl-devel >= 0.9.7d
%endif
%{?with_snmp:BuildRequires:	net-snmp-devel >= 5.0.7}
BuildRequires:	pam-devel
BuildRequires:	pcre-devel
%{?with_pdf:BuildRequires:	pdflib-devel >= 4.0.0}
%{?with_msession:BuildRequires:	phoenix-devel}
%{?with_pgsql:BuildRequires:	postgresql-backend-devel >= 7.2}
%{?with_pgsql:BuildRequires:	postgresql-devel}
%{?with_qtdom:BuildRequires:	qt-devel >= 2.2.0}
BuildRequires:	readline-devel
%{?with_recode:BuildRequires:	recode-devel >= 3.5d-3}
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpm-build >= 4.4.0
BuildRequires:	rpmbuild(macros) >= 1.236
%{?with_xslt:BuildRequires:	sablotron-devel >= 0.96}
BuildRequires:	sed >= 4.0
BuildRequires:	t1lib-devel
%{?with_odbc:BuildRequires:	unixODBC-devel}
%{?with_system_xmlrpc_epi:BuildRequires:	xmlrpc-epi-devel}
%{?with_yaz:BuildRequires:	yaz-devel >= 1.9}
BuildRequires:	zip
BuildRequires:	zlib-devel >= 1.0.9
BuildRequires:	zziplib-devel
%if %{with apache1}
BuildRequires:	apache1-devel >= 1.3.33-2
%endif
%if %{with apache2}
BuildRequires:	apache-devel >= 2.0.52-2
BuildRequires:	apr-devel >= 1:1.0.0
BuildRequires:	apr-util-devel >= 1:1.0.0
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/php4
%define		extensionsdir	%{_libdir}/php4

# must be in sync with source. extra check ensuring that it is so is done in %%build
%define		php_api_version		20020918
%define		zend_module_api		20020429
%define		zend_extension_api	20050606
%define		zend_zts			%{!?with_zts:0}%{?with_zts:1}
%define		php_debug			%{!?debug:0}%{?debug:1}

%description
PHP is an HTML-embedded scripting language. PHP attempts to make it
easy for developers to write dynamically generated web pages. PHP also
offers built-in database integration for several commercial and
non-commercial database management systems, so writing a
database-enabled web page with PHP is fairly simple. The most common
use of PHP coding is probably as a replacement for CGI scripts. The
mod_php module enables the Apache web server to understand and process
the embedded PHP language in web pages. This package contains php
version %{version}.

%description -l fr.UTF-8
PHP est un langage de script embarque dans le HTM. PHP essaye de
rendre simple aux developpeurs d'ecrire des pages web generees
dynamiquement. PHP incorpore egalement une integration avec plusieurs
systemes de gestion de bases de donnees commerciaux et
non-connerciaux, qui rent facile la creation de pages web liees avec
des bases de donnees. L'utilisation la plus commune de PHP est
probablement en remplacement de scripts CGI. Le module mod_php permet
au serveur web apache de comprendre et de traiter le langage PHP
integre dans des pages web. Ce package contient php version
%{version}.

%description -l pl.UTF-8
PHP jest językiem skryptowym, którego polecenia umieszcza się w
plikach HTML. Pakiet ten zawiera moduł przeznaczony dla serwera HTTP
(jak np. Apache), który interpretuje te polecenia. Umożliwia to
tworzenie dynamicznie stron WWW. Spora część składni PHP zapożyczona
została z języków: C, Java i Perl.

%description -l pt_BR.UTF-8
PHP: Preprocessador de Hipertexto versão 4 é uma linguagem script
embutida em HTML. Muito de sua sintaxe é emprestada de C, Java e Perl,
com algumas características únicas, específicas ao PHP. O objetivo da
linguagem é permitir que desenvolvedores web escrevam páginas
dinamicamente geradas de forma rápida.

%description -l ru.UTF-8
PHP4 - это язык написания скриптов, встраиваемых в HTML-код. PHP
предлагает интерграцию с множеством СУБД, поэтому написание скриптов
для работы с базами данных относительно просто. Наиболее популярное
использование PHP - замена для CGI скриптов.

Этот пакет содержит самодостаточную (CGI) версию интерпретатора языка.
Вы должны также установить пакет %{name}-common. Если вам нужен
интерпретатор PHP в качестве модуля apache, установите пакет
apache-php.

%description -l uk.UTF-8
PHP4 - це мова написання скриптів, що вбудовуються в HTML-код. PHP
пропонує інтеграцію з багатьма СУБД, тому написання скриптів для
роботи з базами даних є доволі простим. Найбільш популярне
використання PHP - заміна для CGI скриптів.

Цей пакет містить самодостатню (CGI) версію інтерпретатора мови. Ви
маєте також встановити пакет %{name}-common. Якщо вам потрібен
інтерпретатор PHP в якості модуля apache, встановіть пакет apache-php.

%package -n apache1-mod_php4
Summary:	php4 DSO module for apache 1.3.x
Summary(pl.UTF-8):	Moduł DSO (Dynamic Shared Object) php4 dla apache 1.3.x
Group:		Development/Languages/PHP
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	apache1(EAPI) >= 1.3.33-2
Requires:	apache1-mod_mime
Provides:	webserver(php) = %{version}
Obsoletes:	apache-mod_php < 1:4.1.1
Obsoletes:	phpfi
# Obsolete last version when apache module was in main package
Obsoletes:	php4 < 3:4.3.11-4.16

%description -n apache1-mod_php4
php4 as DSO module for apache 1.3.x.

%description -n apache1-mod_php4 -l pl.UTF-8
php4 jako moduł DSO (Dynamic Shared Object) dla apache 1.3.x.

%package -n apache-mod_php4
Summary:	php4 DSO module for apache 2.x
Summary(pl.UTF-8):	Moduł DSO (Dynamic Shared Object) php4 dla apache 2.x
Group:		Development/Languages/PHP
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	apache(modules-api) = %{apache_modules_api}
Requires:	apache-mod_mime
Provides:	webserver(php) = %{version}
Obsoletes:	apache-mod_php < 1:4.1.1
Obsoletes:	phpfi
# Obsolete last version when apache module was in main package
Obsoletes:	php4 < 3:4.3.11-4.16

%description -n apache-mod_php4
php4 as DSO module for apache 2.x.

%description -n apache-mod_php4 -l pl.UTF-8
php4 jako moduł DSO (Dynamic Shared Object) dla apache 2.x.

%package fcgi
Summary:	php4 as FastCGI program
Summary(pl.UTF-8):	php4 jako program FastCGI
Group:		Development/Languages/PHP
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php-fcgi = %{epoch}:%{version}-%{release}
Provides:	webserver(php) = %{version}

%description fcgi
php4 as FastCGI program.

%description fcgi -l pl.UTF-8
php4 jako program FastCGI.

%package cgi
Summary:	php4 as CGI program
Summary(pl.UTF-8):	php4 jako program CGI
Group:		Development/Languages/PHP
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php-cgi = %{epoch}:%{version}-%{release}
Provides:	php(cgi)

%description cgi
php4 as CGI program.

%description cgi -l pl.UTF-8
php4 jako program CGI.

%package cli
Summary:	php4 as CLI interpreter
Summary(pl.UTF-8):	php4 jako interpreter działający z linii poleceń
Group:		Development/Languages/PHP
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php-cli = %{epoch}:%{version}-%{release}

%description cli
php4 as CLI interpreter.

%description cli -l pl.UTF-8
php4 jako interpreter działający z linii poleceń.

%package program
Summary:	/usr/bin/php symlink
Summary(pl.UTF-8):	Dowiązanie symboliczne /usr/bin/php
Group:		Development/Languages/PHP
Requires:	%{name}-cli = %{epoch}:%{version}-%{release}
Obsoletes:	/usr/bin/php

%description program
Package providing /usr/bin/php symlink to PHP CLI.

%description program -l pl.UTF-8
Pakiet dostarczający dowiązanie symboliczne /usr/bin/php do PHP CLI.

%package common
Summary:	Common files needed by all PHP SAPIs
Summary(pl.UTF-8):	Wspólne pliki dla modułu apache'a i programu CGI
Summary(ru.UTF-8):	Разделяемые библиотеки для php
Summary(uk.UTF-8):	Бібліотеки спільного використання для php
Group:		Libraries
# because of dlclose() bugs in glibc <= 2.3.4 causing SEGVs on exit
Requires(triggerun):	sed >= 4.0
Requires:	glibc >= 6:2.3.5
Requires:	php-dirs
Provides:	php(modules_api) = %{php_api_version}
Provides:	php(openssl)
Provides:	php(session)
Provides:	php(standard)
Provides:	php(zend_extension_api) = %{zend_extension_api}
Provides:	php(zend_module_api) = %{zend_module_api}
Provides:	php-common = %{epoch}:%{version}-%{release}
Provides:	php4(debug) = %{php_debug}
Provides:	php4(thread-safety) = %{zend_zts}
Obsoletes:	php-session < 3:4.2.1-2
Obsoletes:	php4-openssl < 3:4.4.0-4
# for the posttrans scriptlet, conflicts because in vserver environment rpm package is not installed.
Conflicts:	rpm < 4.4.2-0.2

%description common
Common files needed by all PHP SAPIs.

%description common -l pl.UTF-8
Wspólne pliki dla modułu apacha i programu CGI.

%description common -l ru.UTF-8
Этот пакет содержит общие файлы для разных вариантов реализации PHP
(самодостаточной и в качестве модуля apache).

%description common -l uk.UTF-8
Цей пакет містить спільні файли для різних варіантів реалізації PHP
(самодостатньої та в якості модуля apache).

%package devel
Summary:	Files for PHP modules development
Summary(pl.UTF-8):	Pliki do kompilacji modułów PHP
Summary(pt_BR.UTF-8):	Arquivos de desenvolvimento para PHP
Summary(ru.UTF-8):	Пакет разработки для построения расширений PHP
Summary(uk.UTF-8):	Пакет розробки для побудови розширень PHP
Group:		Development/Languages/PHP
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	autoconf
Requires:	automake
%if "%{pld_release}" != "ac"
Requires:	libtool >= 2:2.2
%else
Requires:	libtool
%endif
Obsoletes:	php-devel

%description devel
The php-devel package lets you compile dynamic extensions to PHP.
Included here is the source for the PHP extensions. Instead of
recompiling the whole php4 binary to add support for, say, oracle,
install this package and use the new self-contained extensions
support. For more information, read the file
SELF-CONTAINED-EXTENSIONS.

%description devel -l pl.UTF-8
Pliki potrzebne do kompilacji modułów PHP.

%description devel -l pt_BR.UTF-8
Este pacote contém arquivos usados no desenvolvimento de programas ou
módulos PHP.

%description devel -l uk.UTF-8
Пакет php-devel дає можливість компілювати динамічні розширення PHP.
До пакету включено вихідний код для розширень. Замість повторної
компіляції бінарного файлу php4 для додання, наприклад, підтримки
oracle, встановіть цей пакет для компіляції окремих розширень.
Детальніша інформація - в файлі SELF-CONTAINED-EXTENSIONS.

%description devel -l ru.UTF-8
Пакет php-devel дает возможность компилировать динамические расширения
PHP. Пакет включает исходный код этих расширений. Вместо повторной
компиляции бинарного файла php4 для добавления, например, поддержки
oracle, установите этот пакет для компилирования отдельных расширений.
Подробности - в файле SELF-CONTAINED-EXTENSIONS.

%package bcmath
Summary:	bcmath extension module for PHP
Summary(pl.UTF-8):	Moduł bcmath dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(bcmath)

%description bcmath
This is a dynamic shared object (DSO) for PHP that will add bc style
precision math functions support.

%description bcmath -l pl.UTF-8
Moduł PHP umożliwiający korzystanie z dokładnych funkcji
matematycznych takich jak w programie bc.

%package bzip2
Summary:	Bzip2 extension module for PHP
Summary(pl.UTF-8):	Moduł bzip2 dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(bzip2)

%description bzip2
This is a dynamic shared object (DSO) for PHP that will add bzip2
compression support to PHP.

%description bzip2 -l pl.UTF-8
Moduł PHP umożliwiający używanie kompresji bzip2.

%package calendar
Summary:	Calendar extension module for PHP
Summary(pl.UTF-8):	Moduł funkcji kalendarza dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(calendar)

%description calendar
This is a dynamic shared object (DSO) for PHP that will add calendar
support.

%description calendar -l pl.UTF-8
Moduł PHP dodający wsparcie dla kalendarza.

%package cpdf
Summary:	cpdf extension module for PHP
Summary(pl.UTF-8):	Moduł cpdf dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(cpdf)

%description cpdf
This is a dynamic shared object (DSO) for PHP that will add PDF
support through libcpdf library.

%description cpdf -l pl.UTF-8
Moduł PHP dodający obsługę plików PDF poprzez bibliotekę libcpdf.

%package crack
Summary:	crack extension module for PHP
Summary(pl.UTF-8):	Moduł crack dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(crack)

%description crack
This is a dynamic shared object (DSO) for PHP that will add cracklib
support to PHP.

Warning: this is an experimental module.

%description crack -l pl.UTF-8
Moduł PHP umożliwiający korzystanie z biblioteki cracklib.

Uwaga: to jest moduł eksperymentalny.

%package ctype
Summary:	ctype extension module for PHP
Summary(pl.UTF-8):	Moduł ctype dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(ctype)

%description ctype
This is a dynamic shared object (DSO) for PHP that will add ctype
support.

%description ctype -l pl.UTF-8
Moduł PHP umożliwiający korzystanie z funkcji ctype.

%package curl
Summary:	curl extension module for PHP
Summary(pl.UTF-8):	Moduł curl dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(curl)

%description curl
This is a dynamic shared object (DSO) for PHP that will add curl
support.

%description curl -l pl.UTF-8
Moduł PHP umożliwiający korzystanie z biblioteki curl.

%package db
Summary:	Old xDBM extension module for PHP
Summary(pl.UTF-8):	Moduł xDBM dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(db)

%description db
This is an old dynamic shared object (DSO) for PHP that will add DBM
databases support.

Warning: this module is deprecated and does not support database
locking correctly. Please use DBA extension which is a fully
operational superset.

%description db -l pl.UTF-8
Stary moduł PHP dodający obsługę baz danych DBM.

Uwaga: ten moduł jest przestarzały i nie obsługuje poprawnie
blokowania bazy danych. Zamiast niego lepiej używać rozszerzenia DBA,
które obsługuje nadzbiór funkcjonalności tego modułu.

%package dba
Summary:	DBA extension module for PHP
Summary(pl.UTF-8):	Moduł DBA dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(dba)

%description dba
This is a dynamic shared object (DSO) for PHP that will add flat-file
databases (DBA) support.

%description dba -l pl.UTF-8
Moduł dla PHP dodający obsługę dla baz danych opartych na plikach
(DBA).

%package dbase
Summary:	DBase extension module for PHP
Summary(pl.UTF-8):	Moduł DBase dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(dbase)

%description dbase
This is a dynamic shared object (DSO) for PHP that will add DBase
support.

%description dbase -l pl.UTF-8
Moduł PHP ze wsparciem dla DBase.

%package dbx
Summary:	DBX extension module for PHP
Summary(pl.UTF-8):	Moduł DBX dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(dbx)

%description dbx
This is a dynamic shared object (DSO) for PHP that will add DB
abstraction layer. DBX supports odbc, mysql, pgsql, mssql, fbsql and
more.

%description dbx -l pl.UTF-8
Moduł PHP dodający warstwę abstrakcji do obsługi baz danych. DBX
obsługuje bazy odbc, mysql, pgsql, mssql, fbsql i inne.

%package dio
Summary:	Direct I/O extension module for PHP
Summary(pl.UTF-8):	Moduł Direct I/O dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(dio)

%description dio
This is a dynamic shared object (DSO) for PHP that will add direct
file I/O support.

%description dio -l pl.UTF-8
Moduł PHP dodający obsługę bezpośrednich operacji I/O na plikach.

%package domxml
Summary:	DOM XML extension module for PHP
Summary(pl.UTF-8):	Moduł DOM XML dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(domxml)

%description domxml
This is a dynamic shared object (DSO) for PHP that will add DOM XML
support.

Warning: this is an experimental module.

%description domxml -l pl.UTF-8
Moduł PHP dodający obsługę DOM XML.

Uwaga: to jest moduł eksperymentalny.

%package exif
Summary:	exif extension module for PHP
Summary(pl.UTF-8):	Moduł exif dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(exif)

%description exif
This is a dynamic shared object (DSO) for PHP that will add EXIF tags
support in image files.

%description exif -l pl.UTF-8
Moduł PHP dodający obsługę znaczników EXIF w plikach obrazków.

%package fdf
Summary:	FDF extension module for PHP
Summary(pl.UTF-8):	Moduł FDF dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(fdf)

%description fdf
This PHP module adds support for PDF Forms through Adobe FDFTK
library.

%description fdf -l pl.UTF-8
Moduł PHP dodający obsługę formularzy PDF poprzez bibliotekę Adobe
FDFTK.

%package filepro
Summary:	filePro extension module for PHP
Summary(pl.UTF-8):	Moduł filePro dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(filepro)

%description filepro
This is a dynamic shared object (DSO) for PHP that will add support
for read-only access to filePro databases.

%description filepro -l pl.UTF-8
Moduł PHP dodający możliwość dostępu (tylko do odczytu) do baz danych
filePro.

%package fribidi
Summary:	FriBiDi extension module for PHP
Summary(pl.UTF-8):	Modułe FriBiDi dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(fribidi)

%description fribidi
This extension is basically a wrapper for the FriBidi implementation
of the Unicode Bidi algorithm. The need for such an algorithm rises
from the bidirectional language usage done by applications.
Arabic/Hebrew embedded within English is such a case.

%description fribidi -l pl.UTF-8
To rozszerzenie to głównie interfejs do implementacji FriBiDi
algorytmu Unicode Bidi. Taki algorytm jest potrzebny w przypadku
używania dwukierunkowego pisma w aplikacjach - na przykład przy
tekście arabskim lub hebrajskim osadzonym wewnątrz angielskiego.

%package ftp
Summary:	FTP extension module for PHP
Summary(pl.UTF-8):	Moduł FTP dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(ftp)

%description ftp
This is a dynamic shared object (DSO) for PHP that will add FTP
support.

%description ftp -l pl.UTF-8
Moduł PHP dodający obsługę protokołu FTP.

%package gd
Summary:	GD extension module for PHP
Summary(pl.UTF-8):	Moduł GD dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	gd >= 2.0.28-2
Requires:	gd(gif)
Provides:	php(gd)

%description gd
This is a dynamic shared object (DSO) for PHP that will add GD
support, allowing you to create and manipulate images with PHP.

%description gd -l pl.UTF-8
Moduł PHP umożliwiający korzystanie z biblioteki GD, pozwalającej na
tworzenie i obróbkę obrazków.

%package gettext
Summary:	gettext extension module for PHP
Summary(pl.UTF-8):	Moduł gettext dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(gettext)

%description gettext
This is a dynamic shared object (DSO) for PHP that will add gettext
support.

%description gettext -l pl.UTF-8
Moduł PHP dodający obsługę lokalizacji przez gettext.

%package gmp
Summary:	gmp extension module for PHP
Summary(pl.UTF-8):	Moduł gmp dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(gmp)

%description gmp
This is a dynamic shared object (DSO) for PHP that will add arbitrary
length number support with GNU MP library.

%description gmp -l pl.UTF-8
Moduł PHP umożliwiający korzystanie z biblioteki gmp do obliczeń na
liczbach o dowolnej długości.

%package hyperwave
Summary:	Hyperwave extension module for PHP
Summary(pl.UTF-8):	Moduł Hyperwave dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(hyperwave)

%description hyperwave
This is a dynamic shared object (DSO) for PHP that will add Hyperwave
support.

%description hyperwave -l pl.UTF-8
Moduł PHP dodający obsługę Hyperwave.

%package iconv
Summary:	iconv extension module for PHP
Summary(pl.UTF-8):	Moduł iconv dla PHP
Group:		Libraries
Requires:	%{_libdir}/gconv
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	iconv
Provides:	php(iconv)

%description iconv
This is a dynamic shared object (DSO) for PHP that will add iconv
support.

%description iconv -l pl.UTF-8
Moduł PHP dodający obsługę iconv.

%package imap
Summary:	IMAP extension module for PHP
Summary(pl.UTF-8):	Moduł IMAP dla PHP
Summary(pt_BR.UTF-8):	Um módulo para aplicações PHP que usam IMAP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(imap)

%description imap
This is a dynamic shared object (DSO) for PHP that will add IMAP
support.

%description imap -l pl.UTF-8
Moduł PHP dodający obsługę skrzynek IMAP.

%description imap -l pt_BR.UTF-8
Um módulo para aplicações PHP que usam IMAP.

%package interbase
Summary:	InterBase/Firebird database module for PHP
Summary(pl.UTF-8):	Moduł bazy danych InterBase/Firebird dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(interbase)
%{?with_interbase_inst:Autoreq:	false}

%description interbase
This is a dynamic shared object (DSO) for PHP that will add InterBase
and Firebird database support.

%description interbase -l pl.UTF-8
Moduł PHP umożliwiający dostęp do baz danych InterBase i Firebird.

%package java
Summary:	Java extension module for PHP
Summary(pl.UTF-8):	Moduł Javy dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(java)

%description java
This is a dynamic shared object (DSO) for PHP that will add Java
support to PHP. This extension provides a simple and effective means
for creating and invoking methods on Java objects from PHP.

Note: it requires setting LD_LIBRARY_PATH to JRE directories
containing JVM libraries (e.g. libjava.so, libverify.so and libjvm.so
for Sun's JRE) before starting Apache or PHP interpreter.

%description java -l pl.UTF-8
Moduł PHP dodający wsparcie dla Javy. Umożliwia odwoływanie się do
obiektów Javy z poziomu PHP.

Uwaga: moduł wymaga ustawienia LD_LIBRARY_PATH na katalogi JRE
zawierające biblioteki JVM (np. libjava.so, libverify.so i libjvm.so
dla JRE Suna) przed uruchomieniem Apache'a lub interpretera PHP.

%package ldap
Summary:	LDAP extension module for PHP
Summary(pl.UTF-8):	Moduł LDAP dla PHP
Summary(pt_BR.UTF-8):	Um módulo para aplicações PHP que usam LDAP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(ldap)

%description ldap
This is a dynamic shared object (DSO) for PHP that will add LDAP
support.

%description ldap -l pl.UTF-8
Moduł PHP dodający obsługę LDAP.

%description ldap -l pt_BR.UTF-8
Um módulo para aplicações PHP que usam LDAP.

%package mbstring
Summary:	mbstring extension module for PHP
Summary(pl.UTF-8):	Moduł mbstring dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(mbstring)

%description mbstring
This is a dynamic shared object (DSO) for PHP that will add multibyte
string support.

%description mbstring -l pl.UTF-8
Moduł PHP dodający obsługę ciągów znaków wielobajtowych.

%package mcal
Summary:	mcal extension module for PHP
Summary(pl.UTF-8):	Moduł mcal dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(mcal)

%description mcal
This is a dynamic shared object (DSO) for PHP that will add mcal
(Modular Calendar Access Library) support.

%description mcal -l pl.UTF-8
Moduł PHP umożliwiający korzystanie z biblioteki mcal (dającej dostęp
do kalendarzy).

%package mcrypt
Summary:	mcrypt extension module for PHP
Summary(pl.UTF-8):	Moduł mcrypt dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(mcrypt)

%description mcrypt
This is a dynamic shared object (DSO) for PHP that will add mcrypt
support.

%description mcrypt -l pl.UTF-8
Moduł PHP dodający możliwość szyfrowania poprzez bibliotekę mcrypt.

%package mhash
Summary:	mhash extension module for PHP
Summary(pl.UTF-8):	Moduł mhash dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(mhash)

%description mhash
This is a dynamic shared object (DSO) for PHP that will add mhash
support.

%description mhash -l pl.UTF-8
Moduł PHP udostępniający funkcje mieszające z biblioteki mhash.

%package mime_magic
Summary:	mime_magic extension module for PHP
Summary(pl.UTF-8):	Moduł mime_magic dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	/usr/share/file/magic.mime
Provides:	php(mime_magic)

%description mime_magic
This PHP module adds support for MIME type lookup via file magic
numbers using magic.mime database.

%description mime_magic -l pl.UTF-8
Moduł PHP dodający obsługę wyszukiwania typów MIME według magicznych
znaczników plików z użyciem bazy danych magic.mime.

%package ming
Summary:	ming extension module for PHP
Summary(pl.UTF-8):	Moduł ming dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(ming)

%description ming
This is a dynamic shared object (DSO) for PHP that will add ming
(Flash - .swf files) support.

%description ming -l pl.UTF-8
Moduł PHP dodający obsługę plików Flash (.swf) poprzez bibliotekę
ming.

%package mnogosearch
Summary:	mnoGoSearch extension module for PHP
Summary(pl.UTF-8):	Moduł mnoGoSearch dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(mnogosearch)

%description mnogosearch
This is a dynamic shared object (DSO) for PHP that will allow you to
access mnoGoSearch free search engine.

%description mnogosearch -l pl.UTF-8
Moduł PHP dodający pozwalający na dostęp do wolnodostępnego silnika
wyszukiwarki mnoGoSearch.

%package msession
Summary:	msession extension module for PHP
Summary(pl.UTF-8):	Moduł msession dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(msession)

%description msession
This is a dynamic shared object (DSO) for PHP that will allow you to
use msession. msession is a high speed session daemon which can run
either locally or remotely. It is designed to provide consistent
session management for a PHP web farm.

%description msession -l pl.UTF-8
Moduł PHP dodający umożliwiający korzystanie z demona msession. Jest
to demon szybkiej obsługi sesji, który może działać lokalnie lub na
innej maszynie. Służy do zapewniania spójnej obsługi sesji dla farmy
serwerów.

%package mssql
Summary:	MS SQL extension module for PHP
Summary(pl.UTF-8):	Moduł MS SQL dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(mssql)
Conflicts:	%{name}-sybase
Conflicts:	%{name}-sybase-ct

%description mssql
This is a dynamic shared object (DSO) for PHP that will add MS SQL
databases support through FreeTDS library.

%description mssql -l pl.UTF-8
Moduł PHP dodający obsługę baz danych MS SQL poprzez bibliotekę
FreeTDS.

%package mysql
Summary:	MySQL database module for PHP
Summary(pl.UTF-8):	Moduł bazy danych MySQL dla PHP
Summary(pt_BR.UTF-8):	Um módulo para aplicações PHP que usam bancos de dados MySQL
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(mysql)

%description mysql
This is a dynamic shared object (DSO) for PHP that will add MySQL
database support.

%description mysql -l pl.UTF-8
Moduł PHP umożliwiający dostęp do bazy danych MySQL.

%description mysql -l pt_BR.UTF-8
Um módulo para aplicações PHP que usam bancos de dados MySQL.

%package ncurses
Summary:	ncurses module for PHP
Summary(pl.UTF-8):	Moduł ncurses dla PHP
Group:		Libraries
Requires:	%{name}-cli = %{epoch}:%{version}-%{release}
Provides:	php(ncurses)

%description ncurses
This PHP module adds support for ncurses functions (only for cli and
cgi SAPIs).

%description ncurses -l pl.UTF-8
Moduł PHP dodający obsługę funkcji ncurses (tylko do SAPI cli i cgi).

%package oci8
Summary:	Oracle 8 database module for PHP
Summary(pl.UTF-8):	Moduł bazy danych Oracle 8 dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(oci8)
Autoreq:	false

%description oci8
This is a dynamic shared object (DSO) for PHP that will add Oracle 7
and Oracle 8 database support through Oracle8 Call-Interface (OCI8).

%description oci8 -l pl.UTF-8
Moduł PHP umożliwiający dostęp do bazy danych Oracle 7 i Oracle 8
poprzez interfejs Oracle8 Call-Interface (OCI8).

%package odbc
Summary:	ODBC extension module for PHP
Summary(pl.UTF-8):	Moduł ODBC dla PHP
Summary(pt_BR.UTF-8):	Um módulo para aplicações PHP que usam bases de dados ODBC
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	unixODBC >= 2.1.1-3
Provides:	php(odbc)

%description odbc
This is a dynamic shared object (DSO) for PHP that will add ODBC
support.

%description odbc -l pl.UTF-8
Moduł PHP ze wsparciem dla ODBC.

%description odbc -l pt_BR.UTF-8
Um módulo para aplicações PHP que usam ODBC.

%package oracle
Summary:	Oracle 7 database module for PHP
Summary(pl.UTF-8):	Moduł bazy danych Oracle 7 dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(oracle)
Autoreq:	false

%description oracle
This is a dynamic shared object (DSO) for PHP that will add Oracle 7
database support.

%description oracle -l pl.UTF-8
Moduł PHP umożliwiający dostęp do bazy danych Oracle 7.

%package overload
Summary:	Overload extension module for PHP
Summary(pl.UTF-8):	Moduł Overload dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(overload)

%description overload
This is a dynamic shared object (DSO) for PHP that will add user-space
object overloading support.

Warning: this is an experimental module.

%description overload -l pl.UTF-8
Moduł PHP umożliwiający przeciążanie obiektów.

Uwaga: to jest moduł eksperymentalny.

%package pcntl
Summary:	Process Control extension module for PHP
Summary(pl.UTF-8):	Moduł Process Control dla PHP
Group:		Libraries
Requires:	%{name}-cli = %{epoch}:%{version}-%{release}
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(pcntl)

%description pcntl
This is a dynamic shared object (DSO) for PHP that will add process
spawning and control support. It supports functions like fork(),
waitpid(), signal() etc.

Warning: this is an experimental module. Also, don't use it in
webserver environment!

%description pcntl -l pl.UTF-8
Moduł PHP umożliwiający tworzenie nowych procesów i kontrolę nad nimi.
Obsługuje funkcje takie jak fork(), waitpid(), signal() i podobne.

Uwaga: to jest moduł eksperymentalny. Ponadto nie jest przeznaczony do
używania z serwerem WWW - nie próbuj tego!

%package pcre
Summary:	PCRE extension module for PHP
Summary(pl.UTF-8):	Moduł PCRE dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(pcre)

%description pcre
This is a dynamic shared object (DSO) for PHP that will add Perl
Compatible Regular Expression support.

%description pcre -l pl.UTF-8
Moduł PHP umożliwiający korzystanie z perlowych wyrażeń regularnych
(Perl Compatible Regular Expressions)

%package pdf
Summary:	PDF creation module module for PHP
Summary(pl.UTF-8):	Moduł do tworzenia plików PDF dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(pdf)

%description pdf
This is a dynamic shared object (DSO) for PHP that will add PDF
support through pdflib.

%description pdf -l pl.UTF-8
Moduł PHP umożliwiający tworzenie plików PDF. Wykorzystuje bibliotekę
pdflib.

%package pgsql
Summary:	PostgreSQL database module for PHP
Summary(pl.UTF-8):	Moduł bazy danych PostgreSQL dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(pgsql)

%description pgsql
This is a dynamic shared object (DSO) for PHP that will add PostgreSQL
database support.

%description pgsql -l pl.UTF-8
Moduł PHP umożliwiający dostęp do bazy danych PostgreSQL.

%description pgsql -l pt_BR.UTF-8
Um módulo para aplicações PHP que usam bancos de dados postgresql.

%package posix
Summary:	POSIX extension module for PHP
Summary(pl.UTF-8):	Moduł POSIX dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(posix)

%description posix
This is a dynamic shared object (DSO) for PHP that will add POSIX
functions support to PHP.

%description posix -l pl.UTF-8
Moduł PHP umożliwiający korzystanie z funkcji POSIX.

%package pspell
Summary:	pspell extension module for PHP
Summary(pl.UTF-8):	Moduł pspell dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(pspell)

%description pspell
This is a dynamic shared object (DSO) for PHP that will add pspell
support to PHP. It allows to check the spelling of a word and offer
suggestions.

%description pspell -l pl.UTF-8
Moduł PHP umożliwiający korzystanie z pspella. Pozwala on na
sprawdzanie pisowni słowa i sugerowanie poprawek.

%package qtdom
Summary:	Qt DOM extension module for PHP
Summary(pl.UTF-8):	Moduł Qt DOM dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(qtdom)

%description qtdom
This PHP module adds Qt DOM functions support.

%description qtdom -l pl.UTF-8
Moduł PHP dodający obsługę funkcji Qt DOM.

%package readline
Summary:	readline extension module for PHP
Summary(pl.UTF-8):	Moduł readline dla PHP
Group:		Libraries
Requires:	%{name}-cli = %{epoch}:%{version}-%{release}
Provides:	php(readline)

%description readline
This PHP module adds support for readline functions (only for cli and
cgi SAPIs).

%description readline -l pl.UTF-8
Moduł PHP dodający obsługę funkcji readline (tylko do SAPI cli i cgi).

%package recode
Summary:	recode extension module for PHP
Summary(pl.UTF-8):	Moduł recode dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	recode >= 3.5d-3
Provides:	php(recode)

%description recode
This is a dynamic shared object (DSO) for PHP that will add recode
support.

%description recode -l pl.UTF-8
Moduł PHP dodający możliwość konwersji kodowania plików (poprzez
bibliotekę recode).

%package shmop
Summary:	Shared Memory Operations extension module for PHP
Summary(pl.UTF-8):	Moduł shmop dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(shmop)

%description shmop
This is a dynamic shared object (DSO) for PHP that will add Shared
Memory Operations support.

Warning: this is an experimental module.

%description shmop -l pl.UTF-8
Moduł PHP umożliwiający korzystanie z pamięci dzielonej.

Uwaga: to jest moduł eksperymentalny.

%package snmp
Summary:	SNMP extension module for PHP
Summary(pl.UTF-8):	Moduł SNMP dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(snmp)

%description snmp
This is a dynamic shared object (DSO) for PHP that will add SNMP
support.

%description snmp -l pl.UTF-8
Moduł PHP dodający obsługę SNMP.

%package sockets
Summary:	sockets extension module for PHP
Summary(pl.UTF-8):	Moduł socket dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(sockets)

%description sockets
This is a dynamic shared object (DSO) for PHP that will add sockets
support.

Warning: this is an experimental module.

%description sockets -l pl.UTF-8
Moduł PHP dodający obsługę gniazdek.

Uwaga: to jest moduł eksperymentalny.

%package sybase
Summary:	Sybase DB extension module for PHP
Summary(pl.UTF-8):	Moduł Sybase DB dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(sybase)
Obsoletes:	php4-sybase-ct
Conflicts:	%{name}-mssql

%description sybase
This is a dynamic shared object (DSO) for PHP that will add Sybase and
MS SQL databases support through SYBDB library. Currently Sybase
module is not maintained. Using Sybase-CT module is recommended
instead.

%description sybase -l pl.UTF-8
Moduł PHP dodający obsługę baz danych Sybase oraz MS SQL poprzez
bibliotekę SYBDB. W chwili obecnej moduł Sybase nie jest wspierany.
Zaleca się używanie modułu Sybase-CT.

%package sybase-ct
Summary:	Sybase-CT extension module for PHP
Summary(pl.UTF-8):	Moduł Sybase-CT dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(sybase-ct)
Obsoletes:	php4-sybase
Conflicts:	%{name}-mssql

%description sybase-ct
This is a dynamic shared object (DSO) for PHP that will add Sybase and
MS SQL databases support through CT-lib.

%description sybase-ct -l pl.UTF-8
Moduł PHP dodający obsługę baz danych Sybase oraz MS SQL poprzez
CT-lib.

%package sysvmsg
Summary:	SysV msg extension module for PHP
Summary(pl.UTF-8):	Moduł SysV msg dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(sysvmsg)

%description sysvmsg
This is a dynamic shared object (DSO) for PHP that will add SysV
message queues support.

%description sysvmsg -l pl.UTF-8
Moduł PHP umożliwiający korzystanie z kolejek komunikatów SysV.

%package sysvsem
Summary:	SysV sem extension module for PHP
Summary(pl.UTF-8):	Moduł SysV sem dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(sysvsem)

%description sysvsem
This is a dynamic shared object (DSO) for PHP that will add SysV
semaphores support.

%description sysvsem -l pl.UTF-8
Moduł PHP umożliwiający korzystanie z semaforów SysV.

%package sysvshm
Summary:	SysV shm extension module for PHP
Summary(pl.UTF-8):	Moduł SysV shm dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(sysvshm)

%description sysvshm
This is a dynamic shared object (DSO) for PHP that will add SysV
Shared Memory support.

%description sysvshm -l pl.UTF-8
Moduł PHP umożliwiający korzystanie z pamięci dzielonej SysV.

%package tokenizer
Summary:	tokenizer extension module for PHP
Summary(pl.UTF-8):	Moduł rozszerzenia tokenizer dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(tokenizer)

%description tokenizer
This is a dynamic shared object (DSO) for PHP that will add tokenizer
support.

%description tokenizer -l pl.UTF-8
Moduł PHP dodający obsługę tokenizera do PHP.

%package wddx
Summary:	wddx extension module for PHP
Summary(pl.UTF-8):	Moduł wddx dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
#Requires:	%{name}-session = %{epoch}:%{version}-%{release}
Requires:	%{name}-xml = %{epoch}:%{version}-%{release}
Provides:	php(wddx)

%description wddx
This is a dynamic shared object (DSO) for PHP that will add wddx
support.

%description wddx -l pl.UTF-8
Moduł PHP umożliwiający korzystanie z wddx.

%package xml
Summary:	XML extension module for PHP
Summary(pl.UTF-8):	Moduł XML dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(xml)

%description xml
This is a dynamic shared object (DSO) for PHP that will add XML
support. This extension lets you create XML parsers and then define
handlers for different XML events.

%description xml -l pl.UTF-8
Moduł PHP umożliwiający parsowanie plików XML i obsługę zdarzeń
związanych z tymi plikami. Pozwala on tworzyć analizatory XML-a i
następnie definiować procedury obsługi dla różnych zdarzeń XML.

%package xmlrpc
Summary:	xmlrpc extension module for PHP
Summary(pl.UTF-8):	Moduł xmlrpc dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(xmlrpc)

%description xmlrpc
This is a dynamic shared object (DSO) for PHP that will add XMLRPC
support.

Warning: this is an experimental module.

%description xmlrpc -l pl.UTF-8
Moduł PHP dodający obsługę XMLRPC.

Uwaga: to jest moduł eksperymentalny.

%package xslt
Summary:	xslt extension module for PHP
Summary(pl.UTF-8):	Moduł xslt dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(xslt)

%description xslt
This is a dynamic shared object (DSO) for PHP that will add xslt
support.

%description xslt -l pl.UTF-8
Moduł PHP umożliwiający korzystanie z technologii xslt.

%package yaz
Summary:	yaz extension module for PHP
Summary(pl.UTF-8):	Moduł yaz dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	yaz >= 1.9
Provides:	php(yaz)

%description yaz
This is a dynamic shared object (DSO) for PHP that will add yaz
support. yaz toolkit implements the Z39.50 protocol for information
retrieval.

%description yaz -l pl.UTF-8
Moduł PHP umożliwiający korzystanie z yaz - implementacji protokołu
Z39.50 służącego do pozyskiwania informacji.

%package yp
Summary:	NIS (yp) extension module for PHP
Summary(pl.UTF-8):	Moduł NIS (yp) dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(yp)

%description yp
This is a dynamic shared object (DSO) for PHP that will add NIS
(Yellow Pages) support.

%description yp -l pl.UTF-8
Moduł PHP dodający wsparcie dla NIS (Yellow Pages).

%package zip
Summary:	zip extension module for PHP
Summary(pl.UTF-8):	Moduł zip dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(zip)

%description zip
This is a dynamic shared object (DSO) for PHP that will add ZZipLib
(read-only access to ZIP archives) support.

%description zip -l pl.UTF-8
Moduł PHP umożliwiający korzystanie z bibliotekli ZZipLib
(pozwalającej na odczyt archiwów ZIP).

%package zlib
Summary:	Zlib extension module for PHP
Summary(pl.UTF-8):	Moduł zlib dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(zlib)

%description zlib
This is a dynamic shared object (DSO) for PHP that will add zlib
compression support to PHP.

%description zlib -l pl.UTF-8
Moduł PHP umożliwiający używanie kompresji zlib.

%prep
%setup -q -n php-%{version}
#%patch43 -p1
%patch40 -p1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
# Not really needed?
#%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
cp php.ini-dist php.ini
%patch17 -p1
# for ac2.53b/am1.6b - AC_LANG_CXX has AM_CONDITIONAL, so cannot be invoked
# conditionally...
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
# %patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1

%patch30 -p1
%patch31 -p1
%patch33 -p1
%patch34 -p1
%patch35 -p1
%patch36 -p1
%patch37 -p1
%patch38 -p1
%{?with_versioning:%patch39 -p1}
# XXX: I believe this one is obsolete as of 4.4.3
#%patch41 -p1
%patch41 -p1
%patch42 -p1
%patch43 -p1
%patch45 -p1
%patch46 -p1
%patch47 -p1
%patch48 -p1
%patch49 -p1
%patch50 -p1
%patch51 -p1
%if "%{_lib}" == "lib64"
%patch52 -p1
%endif

%if %{with hardening}
zcat %{SOURCE8} | patch -p1
%endif

cp -f Zend/LICENSE{,.Zend}

%build
API=$(awk '/#define PHP_API_VERSION/{print $3}' main/php.h)
if [ $API != %{php_api_version} ]; then
	echo "Set %%define php_api_version to $API and re-run."
	exit 1
fi

API=$(awk '/#define ZEND_MODULE_API_NO/{print $3}' Zend/zend_modules.h)
if [ $API != %{zend_module_api} ]; then
	echo "Set %%define zend_module_api to $API and re-run."
	exit 1
fi

API=$(awk '/#define ZEND_EXTENSION_API_NO/{print $3}' Zend/zend_extensions.h)
if [ $API != %{zend_extension_api} ]; then
	echo "Set %%define zend_extension_api to $API and re-run."
	exit 1
fi

export EXTENSION_DIR="%{extensionsdir}"
if [ ! -f _built-conf ]; then # configure once (for faster debugging purposes)
	rm -f Makefile.{fcgi,cgi,cli,apxs{1,2}} # now remove Makefile copies
	%{__libtoolize}
	%{__aclocal}
	cp -f /usr/share/automake/config.{sub,guess} .
	./buildconf --force
	touch _built-conf
fi
export PROG_SENDMAIL="/usr/lib/sendmail"

sapis="
%if %{with fcgi}
fcgi
%endif
cgi cli
%if %{with apache1}
apxs1
%endif
%if %{with apache2}
apxs2
%endif
"
for sapi in $sapis; do
	: SAPI $sapi
	[ -f Makefile.$sapi ] && continue # skip if already configured (for faster debugging purposes)

	sapi_args=''
	case $sapi in
	cgi)
		sapi_args='--enable-discard-path --enable-force-cgi-redirect'
		;;
	cli)
		sapi_args='--disable-cgi'
		;;
	fcgi)
		sapi_args='--enable-fastcgi --with-fastcgi=/usr --enable-force-cgi-redirect'
		;;
	apxs1)
		ver=$(rpm -q --qf '%{V}' apache1-devel)
		sapi_args="--with-apxs=%{apxs1} --with-apache-version=$ver"
		;;
	apxs2)
		ver=$(rpm -q --qf '%{V}' apache-devel)
		sapi_args="--with-apxs2=%{apxs2} --with-apache-version=$ver"
		;;
	esac

	%configure \
	$sapi_args \
%if "%{!?configure_cache:0}%{?configure_cache}" == "0"
	--cache-file=config.cache \
%endif
	--with-config-file-path=%{_sysconfdir} \
	--with-config-file-scan-dir=%{_sysconfdir}/conf.d \
	--with-exec-dir=%{_bindir} \
	--%{!?debug:dis}%{?debug:en}able-debug \
	%{?with_zts:--enable-experimental-zts} \
	--enable-inline-optimization \
	--enable-shared \
	--disable-static \
	--enable-bcmath=shared \
	--enable-calendar=shared \
	--enable-ctype=shared \
	--enable-dba=shared \
	--enable-dbx=shared \
	--enable-dio=shared \
	--enable-exif=shared \
	--enable-filepro=shared \
	--enable-ftp=shared \
	--enable-magic-quotes \
	--enable-mbstring=shared,all --enable-mbregex \
	--enable-memory-limit \
	--enable-overload=shared \
	--enable-pcntl=shared \
	--enable-posix=shared \
	%{?with_recode:--with-recode=shared} \
	--enable-safe-mode \
	--enable-session --enable-trans-sid \
	--enable-shmop=shared \
	--enable-sockets=shared \
	--enable-sysvmsg=shared \
	--enable-sysvsem=shared \
	--enable-sysvshm=shared \
	--enable-tokenizer=shared \
	--enable-track-vars \
	%{?with_wddx:--enable-wddx=shared} \
	%{!?with_xml:--disable-xml}%{?with_xml:--enable-xml=shared} \
	%{?with_xslt:--enable-xslt=shared} \
	--enable-yp=shared \
	--with-bz2=shared \
	%{?with_cpdf:--with-cpdflib=shared} \
	--with-crack=shared \
	%{!?with_curl:--without-curl}%{?with_curl:--with-curl=shared} \
	--with-db=shared --with-db%{?with_db3:3}%{!?with_db3:4} \
	--with-dbase=shared \
	%{?with_domxslt:--with-dom-xslt=shared --with-dom-exslt=shared} \
%if %{with xml} || %{with xmlrpc}
	--with-expat-dir=shared,/usr \
%else
	--without-expat-dir \
%endif
	%{?with_fdf:--with-fdftk=shared} \
	--with-filepro=shared \
	--with-freetype-dir=shared \
	%{?with_fribidi:--with-fribidi=shared} \
	--with-gd=shared --enable-gd-native-ttf \
	--with-gdbm \
	--with-gettext=shared \
	--with-gmp=shared \
	--with-hyperwave=shared \
	--with-iconv=shared \
	%{?with_imap:--with-imap=shared --with-imap-ssl --with-kerberos} \
	%{?with_interbase:--with-interbase=shared%{!?with_interbase_inst:,/usr}} \
	%{?with_java:--with-java=%{_libdir}/java} \
	--with-jpeg-dir=/usr \
	%{?with_ldap:--with-ldap=shared} \
	--with-mcal=shared,/usr \
	--with-mcrypt=shared \
	%{?with_mhash:--with-mhash=shared} \
	--with-mime-magic=shared,/usr/share/file/magic.mime \
	%{?with_ming:--with-ming=shared} \
	%{!?with_mnogosearch:--without-mnogosearch}%{?with_mnogosearch:--with-mnogosearch=shared,/usr} \
	%{?with_msession:--with-msession=shared}%{!?with_msession:--without-msession} \
	%{?with_mssql:--with-mssql=shared} \
	--with-mysql=shared,/usr --with-mysql-sock=/var/lib/mysql/mysql.sock \
	--with-ncurses=shared \
	%{?with_oci8:--with-oci8=shared} \
	%{?with_odbc:--with-unixODBC=shared} \
	%{?with_openssl:--with-openssl} \
	%{?with_oracle:--with-oracle=shared} \
	%{!?with_pcre:--without-pcre-regex}%{?with_pcre:--with-pcre-regex=shared,/usr} \
	%{?with_pdf:--with-pdflib=shared} \
	--with-pear=%{php_pear_dir} \
	%{!?with_pgsql:--without-pgsql}%{?with_pgsql:--with-pgsql=shared,/usr} \
	--with-png-dir=/usr \
	%{?with_qtdom:--with-qtdom=shared} \
	--with-readline=shared \
	--with-regex=php \
	%{?with_snmp:--with-snmp=shared --enable-ucd-snmp-hack} \
	%{?with_pspell:--with-pspell=shared} \
	%{?with_sybase:--with-sybase-ct=shared,/usr --with-sybase=shared,/usr} \
	--with-t1lib=shared \
	--with-tiff-dir=/usr \
	%{?with_xml:--with-dom=shared} \
	%{!?with_xmlrpc:--without-xmlrpc}%{?with_xmlrpc:--with-xmlrpc=shared%{?with_system_xmlrpc_epi:,/usr}} \
	%{?with_xslt:--with-xslt-sablot=shared} --without-sablot-js \
	%{?with_yaz:--with-yaz=shared} \
	--with-zip=shared \
	--with-zlib=shared --with-zlib-dir=shared,/usr \

	cp -f Makefile Makefile.$sapi
	cp -f main/php_config.h php_config.h.$sapi
done

# must make this first, so modules can link against it.
%{__make} libphp_common.la
%{__make} build-modules

%if %{with apache1}
%{__make} libtool-sapi LIBTOOL_SAPI=sapi/apache/libphp4.la -f Makefile.apxs1
%endif

%if %{with apache2}
%{__make} libtool-sapi LIBTOOL_SAPI=sapi/apache2handler/libphp4.la -f Makefile.apxs2
%endif

# FCGI
%if %{with fcgi}
cp -af php_config.h.fcgi main/php_config.h
rm -rf sapi/cgi/.libs sapi/cgi/*.lo
%{__make} sapi/cgi/php -f Makefile.fcgi
cp -r sapi/cgi sapi/fcgi
[ "$(echo '<?=php_sapi_name();' | ./sapi/fcgi/php -qn)" = cgi-fcgi ] || exit 1
%endif

# CGI
cp -af php_config.h.cgi main/php_config.h
rm -rf sapi/cgi/.libs sapi/cgi/*.lo
%{__make} sapi/cgi/php -f Makefile.cgi
[ "$(echo '<?=php_sapi_name();' | ./sapi/cgi/php -qn)" = cgi ] || exit 1

# CLI
cp -af php_config.h.cli main/php_config.h
%{__make} sapi/cli/php -f Makefile.cli
[ "$(echo '<?=php_sapi_name();' | ./sapi/cli/php -n)" = cli ] || exit 1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir}/{php,apache{,1}},%{_sysconfdir}} \
	$RPM_BUILD_ROOT{%{_sbindir},%{_bindir}} \
	$RPM_BUILD_ROOT{/etc/apache/conf.d,/etc/httpd/conf.d} \
	$RPM_BUILD_ROOT%{_mandir}/man1

# install the apache modules' files
%{__make} install-headers install-build install-modules install-programs \
	INSTALL_ROOT=$RPM_BUILD_ROOT

libtool --silent --mode=install install libphp_common.la $RPM_BUILD_ROOT%{_libdir}
# fix install paths, avoid evil rpaths
sed -i -e "s|^libdir=.*|libdir='%{_libdir}'|" $RPM_BUILD_ROOT%{_libdir}/libphp_common.la

# install apache1 DSO module
%if %{with apache1}
libtool --silent --mode=install install sapi/apache/libphp4.la $RPM_BUILD_ROOT%{_libdir}/apache1
rm $RPM_BUILD_ROOT%{_libdir}/apache1/libphp4.la
%endif

# install apache2 DSO module
%if %{with apache2}
libtool --silent --mode=install install sapi/apache2handler/libphp4.la $RPM_BUILD_ROOT%{_libdir}/apache
rm $RPM_BUILD_ROOT%{_libdir}/apache/libphp4.la
%endif

# better solution?
sed -i -e 's|libphp_common.la|$(libdir)/libphp_common.la|' $RPM_BUILD_ROOT%{_libdir}/php/build/acinclude.m4

# install CGI
libtool --silent --mode=install install sapi/cgi/php $RPM_BUILD_ROOT%{_bindir}/php4.cgi

# install FCGI
%if %{with fcgi}
libtool --silent --mode=install install sapi/fcgi/php $RPM_BUILD_ROOT%{_bindir}/php4.fcgi
%endif

# install CLI
libtool --silent --mode=install install sapi/cli/php $RPM_BUILD_ROOT%{_bindir}/php4.cli

install sapi/cli/php.1 $RPM_BUILD_ROOT%{_mandir}/man1/php4.1
ln -sf php4.cli $RPM_BUILD_ROOT%{_bindir}/php4
ln -sf php4.cli $RPM_BUILD_ROOT%{_bindir}/php

%{?with_java:install ext/java/php_java.jar $RPM_BUILD_ROOT%{extensionsdir}}

install php.ini	$RPM_BUILD_ROOT%{_sysconfdir}/php.ini
%if %{with fcgi}
install %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/php-cgi-fcgi.ini
%endif
install %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/php-cgi.ini
install %{SOURCE7} $RPM_BUILD_ROOT%{_sysconfdir}/php-cli.ini

%if %{with apache1}
install %{SOURCE3} $RPM_BUILD_ROOT/etc/apache/conf.d/70_mod_php4.conf
install %{SOURCE6} $RPM_BUILD_ROOT%{_sysconfdir}/php-apache.ini
%endif

%if %{with apache2}
install %{SOURCE3} $RPM_BUILD_ROOT/etc/httpd/conf.d/70_mod_php4.conf
install %{SOURCE6} $RPM_BUILD_ROOT%{_sysconfdir}/php-apache2handler.ini
%endif

# Generate stub .ini files for each subpackage
install -d $RPM_BUILD_ROOT%{_sysconfdir}/conf.d
generate_inifiles() {
	for so in modules/*.so; do
		mod=$(basename $so .so)
		conf="%{_sysconfdir}/conf.d/$mod.ini"
		# xml needs to be loaded before wddx
		[ "$mod" = "wddx" ] && conf="%{_sysconfdir}/conf.d/xml_$mod.ini"
		echo "+ $conf"
		cat > $RPM_BUILD_ROOT$conf <<-EOF
			; Enable $mod extension module
			extension=$mod.so
		EOF
	done
}
generate_inifiles

# per SAPI ini directories
install -d $RPM_BUILD_ROOT%{_sysconfdir}/{cgi,cli,cgi-fcgi,apache,apache2handler}.d

# for CLI SAPI only
mv $RPM_BUILD_ROOT%{_sysconfdir}/{conf.d/{ncurses,pcntl,readline}.ini,cli.d}

# use system automake and {lib,sh}tool
%if "%{pld_release}" != "ac"
	ln -snf /usr/share/automake/config.{guess,sub} $RPM_BUILD_ROOT%{_libdir}/php/build
	for i in libtool.m4 lt~obsolete.m4 ltoptions.m4 ltsugar.m4 ltversion.m4; do
		ln -snf %{_aclocaldir}/${i} $RPM_BUILD_ROOT%{_libdir}/php/build
	done
	ln -snf %{_datadir}/libtool/config/ltmain.sh $RPM_BUILD_ROOT%{_libdir}/php/build
%else
	ln -snf %{_aclocaldir}/libtool.m4 $RPM_BUILD_ROOT%{_libdir}/php/build
	ln -snf %{_datadir}/libtool/ltmain.sh $RPM_BUILD_ROOT%{_libdir}/php/build
%endif
ln -snf %{_bindir}/shtool $RPM_BUILD_ROOT%{_libdir}/php/build

# as a result of ext/pcre/pcrelib removal in %%prep, ext/pcre/php_pcre.h
# isn't installed by install-headers make target, we do it manually here.
# this header file is required by e.g. filter PECL extension
install -D ext/pcre/php_pcre.h $RPM_BUILD_ROOT%{_includedir}/php/ext/pcre/php_pcre.h

%clean
rm -rf $RPM_BUILD_ROOT

%post -n apache1-mod_php4
if [ "$1" = "1" ]; then
	%service -q apache restart
fi

%postun -n apache1-mod_php4
if [ "$1" = "0" ]; then
	%service -q apache restart
fi

%post -n apache-mod_php4
if [ "$1" = "1" ]; then
	%service -q httpd restart
fi

%postun -n apache-mod_php4
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

# so tired of typing... so decided to create macros
# macro called at extension post scriptlet
%define	extension_post \
if [ "$1" = "1" ]; then \
	[ ! -f /etc/apache/conf.d/??_mod_php4.conf ] || %service -q apache restart \
	[ ! -f /etc/httpd/conf.d/??_mod_php4.conf ] || %service -q httpd restart \
fi

# macro called at extension postun scriptlet
%define	extension_postun \
if [ "$1" = "0" ]; then \
	[ ! -f /etc/apache/conf.d/??_mod_php4.conf ] || %service -q apache restart \
	[ ! -f /etc/httpd/conf.d/??_mod_php4.conf ] || %service -q httpd restart \
fi

%post	common -p /sbin/ldconfig
%postun	common -p /sbin/ldconfig

%posttrans common
# minimizing apache restarts logics. we restart webserver:
#
# 1. at the end of transaction. (posttrans, feature from rpm 4.4.2)
# 2. first install of extension (post: $1 = 1)
# 2. uninstall of extension (postun: $1 == 0)
#
# the strict internal deps between extensions (and apache modules) and
# common package are very important for all this to work.

# restart webserver at the end of transaction
[ ! -f /etc/apache/conf.d/??_mod_php4.conf ] || %service -q apache restart
[ ! -f /etc/httpd/conf.d/??_mod_php4.conf ] || %service -q httpd restart

%if %{with apache2}
%triggerpostun -n apache-mod_php4 -- apache-mod_php4 < 3:4.4.0-2.16, php4 < 3:4.3.11-4.16
# for fixed php-SAPI.ini, the poor php-apache.ini was never read for apache2
if [ -f %{_sysconfdir}/php-apache.ini.rpmsave ]; then
	cp -f %{_sysconfdir}/php-apache2handler.ini{,.rpmnew}
	mv -f %{_sysconfdir}/php-apache.ini.rpmsave %{_sysconfdir}/php-apache2handler.ini
fi
%endif

%post bcmath
%extension_post

%postun bcmath
%extension_postun

%post bzip2
%extension_post

%postun bzip2
%extension_postun

%post calendar
%extension_post

%postun calendar
%extension_postun

%post cpdf
%extension_post

%postun cpdf
%extension_postun

%post crack
%extension_post

%postun crack
%extension_postun

%post ctype
%extension_post

%postun ctype
%extension_postun

%post curl
%extension_post

%postun curl
%extension_postun

%post db
%extension_post

%postun db
%extension_postun

%post dba
%extension_post

%postun dba
%extension_postun

%post dbase
%extension_post

%postun dbase
%extension_postun

%post dbx
%extension_post

%postun dbx
%extension_postun

%post dio
%extension_post

%postun dio
%extension_postun

%post domxml
%extension_post

%postun domxml
%extension_postun

%post exif
%extension_post

%postun exif
%extension_postun

%post fdf
%extension_post

%postun fdf
%extension_postun

%post filepro
%extension_post

%postun filepro
%extension_postun

%post fribidi
%extension_post

%postun fribidi
%extension_postun

%post ftp
%extension_post

%postun ftp
%extension_postun

%post gd
%extension_post

%postun gd
%extension_postun

%post gettext
%extension_post

%postun gettext
%extension_postun

%post gmp
%extension_post

%postun gmp
%extension_postun

%post hyperwave
%extension_post

%postun hyperwave
%extension_postun

%post iconv
%extension_post

%postun iconv
%extension_postun

%post imap
%extension_post

%postun imap
%extension_postun

%post interbase
%extension_post

%postun interbase
%extension_postun

%post java
%extension_post

%postun java
%extension_postun

%post ldap
%extension_post

%postun ldap
%extension_postun

%post mbstring
%extension_post

%postun mbstring
%extension_postun

%post mcal
%extension_post

%postun mcal
%extension_postun

%post mcrypt
%extension_post

%postun mcrypt
%extension_postun

%post mhash
%extension_post

%postun mhash
%extension_postun

%post mime_magic
%extension_post

%postun mime_magic
%extension_postun

%post ming
%extension_post

%postun ming
%extension_postun

%post mnogosearch
%extension_post

%postun mnogosearch
%extension_postun

%post msession
%extension_post

%postun msession
%extension_postun

%post mssql
%extension_post

%postun mssql
%extension_postun

%post mysql
%extension_post

%postun mysql
%extension_postun

%post oci8
%extension_post

%postun oci8
%extension_postun

%post odbc
%extension_post

%postun odbc
%extension_postun

%post oracle
%extension_post

%postun oracle
%extension_postun

%post overload
%extension_post

%postun overload
%extension_postun

%post pcre
%extension_post

%postun pcre
%extension_postun

%post pdf
%extension_post

%postun pdf
%extension_postun

%post pgsql
%extension_post

%postun pgsql
%extension_postun

%post posix
%extension_post

%postun posix
%extension_postun

%post pspell
%extension_post

%postun pspell
%extension_postun

%post qtdom
%extension_post

%postun qtdom
%extension_postun

%post recode
%extension_post

%postun recode
%extension_postun

%post shmop
%extension_post

%postun shmop
%extension_postun

%post snmp
%extension_post

%postun snmp
%extension_postun

%post sockets
%extension_post

%postun sockets
%extension_postun

%post sybase
%extension_post

%postun sybase
%extension_postun

%post sybase-ct
%extension_post

%postun sybase-ct
%extension_postun

%post sysvmsg
%extension_post

%postun sysvmsg
%extension_postun

%post sysvsem
%extension_post

%postun sysvsem
%extension_postun

%post sysvshm
%extension_post

%postun sysvshm
%extension_postun

%post tokenizer
%extension_post

%postun tokenizer
%extension_postun

%post wddx
%extension_post

%postun wddx
%extension_postun

%post xml
%extension_post

%postun xml
%extension_postun

%post xmlrpc
%extension_post

%postun xmlrpc
%extension_postun

%post xslt
%extension_post

%postun xslt
%extension_postun

%post yaz
%extension_post

%postun yaz
%extension_postun

%post yp
%extension_post

%postun yp
%extension_postun

%post zip
%extension_post

%postun zip
%extension_postun

%post zlib
%extension_post

%postun zlib
%extension_postun

# openssl trigger on common package. it removes shared openssl module from php.ini, if it was there.
%triggerun common -- %{name}-openssl < 3:4.4.0-4
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*openssl\.so/d' %{_sysconfdir}/php.ini

%triggerun bcmath -- %{name}-bcmath < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*bcmath\.so/d' %{_sysconfdir}/php.ini

%triggerun bzip2 -- %{name}-bzip2 < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*bz2\.so/d' %{_sysconfdir}/php.ini

%triggerun calendar -- %{name}-calendar < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*calendar\.so/d' %{_sysconfdir}/php.ini

%triggerun cpdf -- %{name}-cpdf < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*cpdf\.so/d' %{_sysconfdir}/php.ini

%triggerun crack -- %{name}-crack < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*crack\.so/d' %{_sysconfdir}/php.ini

%triggerun ctype -- %{name}-ctype < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*ctype\.so/d' %{_sysconfdir}/php.ini

%triggerun curl -- %{name}-curl < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*curl\.so/d' %{_sysconfdir}/php.ini

%triggerun db -- %{name}-db < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*db\.so/d' %{_sysconfdir}/php.ini

%triggerun dba -- %{name}-dba < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*dba\.so/d' %{_sysconfdir}/php.ini

%triggerun dbase -- %{name}-dbase < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*dbase\.so/d' %{_sysconfdir}/php.ini

%triggerun dbx -- %{name}-dbx < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*dbx\.so/d' %{_sysconfdir}/php.ini

%triggerun dio -- %{name}-dio < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*dio\.so/d' %{_sysconfdir}/php.ini

%triggerun domxml -- %{name}-domxml < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*domxml\.so/d' %{_sysconfdir}/php.ini

%triggerun exif -- %{name}-exif < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*exif\.so/d' %{_sysconfdir}/php.ini

%triggerun fdf -- %{name}-fdf < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*fdf\.so/d' %{_sysconfdir}/php.ini

%triggerun filepro -- %{name}-filepro < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*filepro\.so/d' %{_sysconfdir}/php.ini

%triggerun fribidi -- %{name}-fribidi < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*fribidi\.so/d' %{_sysconfdir}/php.ini

%triggerun ftp -- %{name}-ftp < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*ftp\.so/d' %{_sysconfdir}/php.ini

%triggerun gd -- %{name}-gd < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*gd\.so/d' %{_sysconfdir}/php.ini

%triggerun gettext -- %{name}-gettext < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*gettext\.so/d' %{_sysconfdir}/php.ini

%triggerun gmp -- %{name}-gmp < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*gmp\.so/d' %{_sysconfdir}/php.ini

%triggerun hyperwave -- %{name}-hyperwave < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*hyperwave\.so/d' %{_sysconfdir}/php.ini

%triggerun iconv -- %{name}-iconv < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*iconv\.so/d' %{_sysconfdir}/php.ini

%triggerun imap -- %{name}-imap < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*imap\.so/d' %{_sysconfdir}/php.ini

%triggerun interbase -- %{name}-interbase < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*interbase\.so/d' %{_sysconfdir}/php.ini

%triggerun java -- %{name}-java < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*java\.so/d' %{_sysconfdir}/php.ini

%triggerun ldap -- %{name}-ldap < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*ldap\.so/d' %{_sysconfdir}/php.ini

%triggerun mbstring -- %{name}-mbstring < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*mbstring\.so/d' %{_sysconfdir}/php.ini

%triggerun mcal -- %{name}-mcal < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*mcal\.so/d' %{_sysconfdir}/php.ini

%triggerun mcrypt -- %{name}-mcrypt < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*mcrypt\.so/d' %{_sysconfdir}/php.ini

%triggerun mhash -- %{name}-mhash < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*mhash\.so/d' %{_sysconfdir}/php.ini

%triggerun mime_magic -- %{name}-mime_magic < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*mime_magic\.so/d' %{_sysconfdir}/php.ini

%triggerun ming -- %{name}-ming < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*ming\.so/d' %{_sysconfdir}/php.ini

%triggerun mnogosearch -- %{name}-mnogosearch < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*mnogosearch\.so/d' %{_sysconfdir}/php.ini

%triggerun msession -- %{name}-msession < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*msession\.so/d' %{_sysconfdir}/php.ini

%triggerun mssql -- %{name}-mssql < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*mssql\.so/d' %{_sysconfdir}/php.ini

%triggerun mysql -- %{name}-mysql < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*mysql\.so/d' %{_sysconfdir}/php.ini

%triggerun ncurses -- %{name}-ncurses < 3:4.4.2-9.4
if [ -f %{_sysconfdir}/php-cgi.ini ]; then
	%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*ncurses\.so/d' %{_sysconfdir}/php-cgi.ini
fi
if [ -f %{_sysconfdir}/php-cli.ini ]; then
	%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*ncurses\.so/d' %{_sysconfdir}/php-cli.ini
fi

%triggerun oci8 -- %{name}-oci8 < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*oci8\.so/d' %{_sysconfdir}/php.ini

%triggerun odbc -- %{name}-odbc < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*odbc\.so/d' %{_sysconfdir}/php.ini

%triggerun oracle -- %{name}-oracle < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*oracle\.so/d' %{_sysconfdir}/php.ini

%triggerun overload -- %{name}-overload < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*overload\.so/d' %{_sysconfdir}/php.ini

%triggerun pcntl -- %{name}-pcntl < 3:4.4.2-9.4
if [ -f %{_sysconfdir}/php-cgi.ini ]; then
	%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*pcntl\.so/d' %{_sysconfdir}/php-cgi.ini
fi
if [ -f %{_sysconfdir}/php-cli.ini ]; then
	%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*pcntl\.so/d' %{_sysconfdir}/php-cli.ini
fi

%triggerun pcre -- %{name}-pcre < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*pcre\.so/d' %{_sysconfdir}/php.ini

%triggerun pdf -- %{name}-pdf < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*pdf\.so/d' %{_sysconfdir}/php.ini

%triggerun pgsql -- %{name}-pgsql < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*pgsql\.so/d' %{_sysconfdir}/php.ini

%triggerun posix -- %{name}-posix < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*posix\.so/d' %{_sysconfdir}/php.ini

%triggerun pspell -- %{name}-pspell < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*pspell\.so/d' %{_sysconfdir}/php.ini

%triggerun qtdom -- %{name}-qtdom < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*qtdom\.so/d' %{_sysconfdir}/php.ini

%triggerun readline -- %{name}-readline < 3:4.4.2-9.4
if [ -f %{_sysconfdir}/php-cgi.ini ]; then
	%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*readline\.so/d' %{_sysconfdir}/php-cgi.ini
fi
if [ -f %{_sysconfdir}/php-cli.ini ]; then
	%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*readline\.so/d' %{_sysconfdir}/php-cli.ini
fi

%triggerun recode -- %{name}-recode < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*recode\.so/d' %{_sysconfdir}/php.ini

%triggerun shmop -- %{name}-shmop < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*shmop\.so/d' %{_sysconfdir}/php.ini

%triggerun snmp -- %{name}-snmp < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*snmp\.so/d' %{_sysconfdir}/php.ini

%triggerun sockets -- %{name}-sockets < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*sockets\.so/d' %{_sysconfdir}/php.ini

%triggerun sybase -- %{name}-sybase < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*sybase\.so/d' %{_sysconfdir}/php.ini

%triggerun sybase-ct -- %{name}-sybase-ct < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*sybase_ct\.so/d' %{_sysconfdir}/php.ini

%triggerun sysvmsg -- %{name}-sysvmsg < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*sysvmsg\.so/d' %{_sysconfdir}/php.ini

%triggerun sysvsem -- %{name}-sysvsem < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*sysvsem\.so/d' %{_sysconfdir}/php.ini

%triggerun sysvshm -- %{name}-sysvshm < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*sysvshm\.so/d' %{_sysconfdir}/php.ini

%triggerun wddx -- %{name}-wddx < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*wddx\.so/d' %{_sysconfdir}/php.ini

%triggerun xml -- %{name}-xml < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*xml\.so/d' %{_sysconfdir}/php.ini

%triggerun xmlrpc -- %{name}-xmlrpc < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*xmlrpc\.so/d' %{_sysconfdir}/php.ini

%triggerun xslt -- %{name}-xslt < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*xslt\.so/d' %{_sysconfdir}/php.ini

%triggerun yaz -- %{name}-yaz < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*yaz\.so/d' %{_sysconfdir}/php.ini

%triggerun yp -- %{name}-yp < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*yp\.so/d' %{_sysconfdir}/php.ini

%triggerun zip -- %{name}-zip < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*zip\.so/d' %{_sysconfdir}/php.ini

%triggerun zlib -- %{name}-zlib < 3:4.4.0-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*zlib\.so/d' %{_sysconfdir}/php.ini

%if %{with apache1}
%files -n apache1-mod_php4
%defattr(644,root,root,755)
%doc sapi/apache/CREDITS
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/apache/conf.d/*_mod_php4.conf
%dir %{_sysconfdir}/apache.d
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/php-apache.ini
%attr(755,root,root) %{_libdir}/apache1/libphp4.so
%endif

%if %{with apache2}
%files -n apache-mod_php4
%defattr(644,root,root,755)
%doc sapi/apache2handler/{CREDITS,README}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/httpd/conf.d/*_mod_php4.conf
%dir %{_sysconfdir}/apache2handler.d
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/php-apache2handler.ini
%attr(755,root,root) %{_libdir}/apache/libphp4.so
%endif

%if %{with fcgi}
%files fcgi
%defattr(644,root,root,755)
%doc sapi/cgi/{CREDITS,README.FastCGI}
%attr(755,root,root) %{_bindir}/php4.fcgi
%dir %{_sysconfdir}/cgi-fcgi.d
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/php-cgi-fcgi.ini
%endif

%files cgi
%defattr(644,root,root,755)
%doc sapi/cgi/CREDITS
%attr(755,root,root) %{_bindir}/php4.cgi
%dir %{_sysconfdir}/cgi.d
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/php-cgi.ini

%files cli
%defattr(644,root,root,755)
%doc sapi/cli/{CREDITS,README}
%attr(755,root,root) %{_bindir}/php4.cli
%attr(755,root,root) %{_bindir}/php4
%dir %{_sysconfdir}/cli.d
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/php-cli.ini
%{_mandir}/man1/php4.1*

%files program
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/php

%files common
%defattr(644,root,root,755)
%doc php.ini-*
%doc CREDITS Zend/ZEND_CHANGES
%doc LICENSE Zend/LICENSE.Zend EXTENSIONS NEWS TODO*

%dir %{_sysconfdir}
%dir %{_sysconfdir}/conf.d
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/php.ini
%attr(755,root,root) %{_libdir}/libphp_common-*.so
%dir %{extensionsdir}

%files devel
%defattr(644,root,root,755)
%doc README.UNIX-BUILD-SYSTEM
%doc README.EXT_SKEL README.SELF-CONTAINED-EXTENSIONS
%doc CODING_STANDARDS
%attr(755,root,root) %{_bindir}/phpize
%attr(755,root,root) %{_bindir}/php-config
%attr(755,root,root) %{_libdir}/libphp_common.so
# FIXME: how exactly this is needed? as it contains libdir for apache1 or apache2
%{_libdir}/libphp_common.la
%{_includedir}/php
%{_libdir}/php/build
%{_mandir}/man1/php-config.1*
%{_mandir}/man1/phpize.1*

%files bcmath
%defattr(644,root,root,755)
%doc ext/bcmath/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/bcmath.ini
%attr(755,root,root) %{extensionsdir}/bcmath.so

%files bzip2
%defattr(644,root,root,755)
%doc ext/bz2/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/bz2.ini
%attr(755,root,root) %{extensionsdir}/bz2.so

%files calendar
%defattr(644,root,root,755)
%doc ext/calendar/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/calendar.ini
%attr(755,root,root) %{extensionsdir}/calendar.so

%if %{with cpdf}
%files cpdf
%defattr(644,root,root,755)
%doc ext/cpdf/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/cpdf.ini
%attr(755,root,root) %{extensionsdir}/cpdf.so
%endif

%files crack
%defattr(644,root,root,755)
%doc ext/crack/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/crack.ini
%attr(755,root,root) %{extensionsdir}/crack.so

%files ctype
%defattr(644,root,root,755)
%doc ext/ctype/{CREDITS,README}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/ctype.ini
%attr(755,root,root) %{extensionsdir}/ctype.so

%if %{with curl}
%files curl
%defattr(644,root,root,755)
%doc ext/curl/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/curl.ini
%attr(755,root,root) %{extensionsdir}/curl.so
%endif

%files db
%defattr(644,root,root,755)
%doc ext/db/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/db.ini
%attr(755,root,root) %{extensionsdir}/db.so

%files dba
%defattr(644,root,root,755)
%doc ext/dba/{CREDITS,README}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/dba.ini
%attr(755,root,root) %{extensionsdir}/dba.so

%files dbase
%defattr(644,root,root,755)
%doc ext/dbase/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/dbase.ini
%attr(755,root,root) %{extensionsdir}/dbase.so

%files dbx
%defattr(644,root,root,755)
%doc ext/dbx/{CREDITS,howto_extend_dbx.html}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/dbx.ini
%attr(755,root,root) %{extensionsdir}/dbx.so

%files dio
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/dio.ini
%attr(755,root,root) %{extensionsdir}/dio.so

%if %{with xml}
%files domxml
%defattr(644,root,root,755)
%doc ext/domxml/{CREDITS,TODO}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/domxml.ini
%attr(755,root,root) %{extensionsdir}/domxml.so
%endif

%if %{with fdf}
%files fdf
%defattr(644,root,root,755)
%doc ext/fdf/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/fdf.ini
%attr(755,root,root) %{extensionsdir}/fdf.so
%endif

%files exif
%defattr(644,root,root,755)
%doc ext/exif/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/exif.ini
%attr(755,root,root) %{extensionsdir}/exif.so

%files filepro
%defattr(644,root,root,755)
%doc ext/filepro/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/filepro.ini
%attr(755,root,root) %{extensionsdir}/filepro.so

%if %{with fribidi}
%files fribidi
%defattr(644,root,root,755)
%doc ext/fribidi/{CREDITS,README}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/fribidi.ini
%attr(755,root,root) %{extensionsdir}/fribidi.so
%endif

%files ftp
%defattr(644,root,root,755)
%doc ext/ftp/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/ftp.ini
%attr(755,root,root) %{extensionsdir}/ftp.so

%files gd
%defattr(644,root,root,755)
%doc ext/gd/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/gd.ini
%attr(755,root,root) %{extensionsdir}/gd.so

%files gettext
%defattr(644,root,root,755)
%doc ext/gettext/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/gettext.ini
%attr(755,root,root) %{extensionsdir}/gettext.so

%files gmp
%defattr(644,root,root,755)
%doc ext/gmp/{CREDITS,README,TODO}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/gmp.ini
%attr(755,root,root) %{extensionsdir}/gmp.so

%files hyperwave
%defattr(644,root,root,755)
%doc ext/hyperwave/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/hyperwave.ini
%attr(755,root,root) %{extensionsdir}/hyperwave.so

%files iconv
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/iconv.ini
%attr(755,root,root) %{extensionsdir}/iconv.so

%if %{with imap}
%files imap
%defattr(644,root,root,755)
%doc ext/imap/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/imap.ini
%attr(755,root,root) %{extensionsdir}/imap.so
%endif

%if %{with interbase}
%files interbase
%defattr(644,root,root,755)
%doc ext/interbase/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/interbase.ini
%attr(755,root,root) %{extensionsdir}/interbase.so
%endif

%if %{with java}
%files java
%defattr(644,root,root,755)
%doc ext/java/{CREDITS,README}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/java.ini
%attr(755,root,root) %{extensionsdir}/java.so
%{extensionsdir}/php_java.jar
%endif

%if %{with ldap}
%files ldap
%defattr(644,root,root,755)
%doc ext/ldap/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/ldap.ini
%attr(755,root,root) %{extensionsdir}/ldap.so
%endif

%files mbstring
%defattr(644,root,root,755)
%doc ext/mbstring/{CREDITS,README,README.libmbfl}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/mbstring.ini
%attr(755,root,root) %{extensionsdir}/mbstring.so

%files mcal
%defattr(644,root,root,755)
%doc ext/mcal/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/mcal.ini
%attr(755,root,root) %{extensionsdir}/mcal.so

%files mcrypt
%defattr(644,root,root,755)
%doc ext/mcrypt/{CREDITS,TODO}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/mcrypt.ini
%attr(755,root,root) %{extensionsdir}/mcrypt.so

%if %{with mhash}
%files mhash
%defattr(644,root,root,755)
%doc ext/mhash/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/mhash.ini
%attr(755,root,root) %{extensionsdir}/mhash.so
%endif

%files mime_magic
%defattr(644,root,root,755)
%doc ext/mime_magic/{CREDITS,TODO}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/mime_magic.ini
%attr(755,root,root) %{extensionsdir}/mime_magic.so

%if %{with ming}
%files ming
%defattr(644,root,root,755)
%doc ext/ming/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/ming.ini
%attr(755,root,root) %{extensionsdir}/ming.so
%endif

%if %{with mnogosearch}
%files mnogosearch
%defattr(644,root,root,755)
%doc ext/mnogosearch/{CREDITS,README}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/mnogosearch.ini
%attr(755,root,root) %{extensionsdir}/mnogosearch.so
%endif

%if %{with msession}
%files msession
%defattr(644,root,root,755)
%doc ext/msession/{CREDITS,README,msession-test.php}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/msession.ini
%attr(755,root,root) %{extensionsdir}/msession.so
%endif

%if %{with mssql}
%files mssql
%defattr(644,root,root,755)
%doc ext/mssql/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/mssql.ini
%attr(755,root,root) %{extensionsdir}/mssql.so
%endif

%files mysql
%defattr(644,root,root,755)
%doc ext/mysql/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/mysql.ini
%attr(755,root,root) %{extensionsdir}/mysql.so

%files ncurses
%defattr(644,root,root,755)
%doc ext/ncurses/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/cli.d/ncurses.ini
%attr(755,root,root) %{extensionsdir}/ncurses.so

%if %{with oci8}
%files oci8
%defattr(644,root,root,755)
%doc ext/oci8/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/oci8.ini
%attr(755,root,root) %{extensionsdir}/oci8.so
%endif

%if %{with odbc}
%files odbc
%defattr(644,root,root,755)
%doc ext/odbc/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/odbc.ini
%attr(755,root,root) %{extensionsdir}/odbc.so
%endif

%if %{with oracle}
%files oracle
%defattr(644,root,root,755)
%doc ext/oracle/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/oracle.ini
%attr(755,root,root) %{extensionsdir}/oracle.so
%endif

%files overload
%defattr(644,root,root,755)
%doc ext/overload/{CREDITS,README}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/overload.ini
%attr(755,root,root) %{extensionsdir}/overload.so

%files pcntl
%defattr(644,root,root,755)
%doc ext/pcntl/{CREDITS,README}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/cli.d/pcntl.ini
%attr(755,root,root) %{extensionsdir}/pcntl.so

%if %{with pcre}
%files pcre
%defattr(644,root,root,755)
%doc ext/pcre/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/pcre.ini
%attr(755,root,root) %{extensionsdir}/pcre.so
%endif

%if %{with pdf}
%files pdf
%defattr(644,root,root,755)
%doc ext/pdf/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/pdf.ini
%attr(755,root,root) %{extensionsdir}/pdf.so
%endif

%if %{with pgsql}
%files pgsql
%defattr(644,root,root,755)
%doc ext/pgsql/{CREDITS,README}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/pgsql.ini
%attr(755,root,root) %{extensionsdir}/pgsql.so
%endif

%files posix
%defattr(644,root,root,755)
%doc ext/posix/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/posix.ini
%attr(755,root,root) %{extensionsdir}/posix.so

%if %{with pspell}
%files pspell
%defattr(644,root,root,755)
%doc ext/overload/{CREDITS,README}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/pspell.ini
%attr(755,root,root) %{extensionsdir}/pspell.so
%endif

%if %{with qtdom}
%files qtdom
%defattr(644,root,root,755)
%doc ext/qtdom/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/qtdom.ini
%attr(755,root,root) %{extensionsdir}/qtdom.so
%endif

%files readline
%defattr(644,root,root,755)
%doc ext/readline/{CREDITS,README.libedit}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/cli.d/readline.ini
%attr(755,root,root) %{extensionsdir}/readline.so

%if %{with recode}
%files recode
%defattr(644,root,root,755)
%doc ext/recode/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/recode.ini
%attr(755,root,root) %{extensionsdir}/recode.so
%endif

# session_mm doesn't work with shared session
#%files session
#%defattr(644,root,root,755)
#%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/conf.d/session.ini
#%attr(755,root,root) %{extensionsdir}/session.so

%files shmop
%defattr(644,root,root,755)
%doc ext/shmop/{CREDITS,README}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/shmop.ini
%attr(755,root,root) %{extensionsdir}/shmop.so

%if %{with snmp}
%files snmp
%defattr(644,root,root,755)
%doc ext/snmp/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/snmp.ini
%attr(755,root,root) %{extensionsdir}/snmp.so
%endif

%files sockets
%defattr(644,root,root,755)
%doc ext/sockets/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/sockets.ini
%attr(755,root,root) %{extensionsdir}/sockets.so

%if %{with sybase}
%files sybase
%defattr(644,root,root,755)
%doc ext/sybase/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/sybase.ini
%attr(755,root,root) %{extensionsdir}/sybase.so

%files sybase-ct
%defattr(644,root,root,755)
%doc ext/sybase_ct/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/sybase_ct.ini
%attr(755,root,root) %{extensionsdir}/sybase_ct.so
%endif

%files sysvmsg
%defattr(644,root,root,755)
%doc ext/sysvmsg/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/sysvmsg.ini
%attr(755,root,root) %{extensionsdir}/sysvmsg.so

%files sysvsem
%defattr(644,root,root,755)
%doc ext/sysvsem/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/sysvsem.ini
%attr(755,root,root) %{extensionsdir}/sysvsem.so

%files sysvshm
%defattr(644,root,root,755)
%doc ext/sysvshm/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/sysvshm.ini
%attr(755,root,root) %{extensionsdir}/sysvshm.so

%files tokenizer
%defattr(644,root,root,755)
%doc ext/tokenizer/{CREDITS,tokenizer.php}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/tokenizer.ini
%attr(755,root,root) %{extensionsdir}/tokenizer.so

%if %{with wddx}
%files wddx
%defattr(644,root,root,755)
%doc ext/wddx/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*wddx.ini
%attr(755,root,root) %{extensionsdir}/wddx.so
%endif

%if %{with xml}
%files xml
%defattr(644,root,root,755)
%doc ext/xml/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/xml.ini
%attr(755,root,root) %{extensionsdir}/xml.so
%endif

%if %{with xmlrpc}
%files xmlrpc
%defattr(644,root,root,755)
%doc ext/xmlrpc/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/xmlrpc.ini
%attr(755,root,root) %{extensionsdir}/xmlrpc.so
%endif

%if %{with xslt}
%files xslt
%defattr(644,root,root,755)
%doc ext/xslt/{README.XSLT-BACKENDS,TODO}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/xslt.ini
%attr(755,root,root) %{extensionsdir}/xslt.so
%endif

%if %{with yaz}
%files yaz
%defattr(644,root,root,755)
%doc ext/yaz/{CREDITS,README}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/yaz.ini
%attr(755,root,root) %{extensionsdir}/yaz.so
%endif

%files yp
%defattr(644,root,root,755)
%doc ext/yp/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/yp.ini
%attr(755,root,root) %{extensionsdir}/yp.so

%files zip
%defattr(644,root,root,755)
%doc ext/zip/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/zip.ini
%attr(755,root,root) %{extensionsdir}/zip.so

%files zlib
%defattr(644,root,root,755)
%doc ext/zlib/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/zlib.ini
%attr(755,root,root) %{extensionsdir}/zlib.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php4.spec,v $
Revision 1.637  2009/06/01 23:05:29  glen
- unbroke other dists than ac

Revision 1.636  2009/06/01 14:10:17  glen
- update to build on ac

Revision 1.635  2009/05/03 15:54:31  hawk
- building with yaz is broken, no patches yet (at least I haven't found any),
  no one wants to fix it so don't build yaz extension for now
- release 12

Revision 1.634  2009/03/28 22:59:54  areq
- rel 11

Revision 1.633  2009/02/23 22:13:25  arekm
- release 10

Revision 1.632  2009/01/12 20:13:14  arekm
- release 9

Revision 1.631  2008/11/03 00:17:40  arekm
- rel 8; use internal xmlrpc like it's done in php.spec

Revision 1.630  2008/11/02 23:28:06  arekm
- release 7

Revision 1.629  2008/10/17 17:13:54  arekm
- rel 6; fix mnogosearch

Revision 1.628  2008/10/14 10:15:24  hawk
- release 5

Revision 1.627  2008/10/13 12:47:24  blues
- one more CVE

Revision 1.626  2008/10/13 12:46:56  blues
- CVE note

Revision 1.625  2008/09/07 19:13:39  adamg
- release 4 (against libltdl-2.2.6-1)

Revision 1.624  2008/08/29 11:57:47  glen
- update unneccessary libs list

Revision 1.623  2008/08/29 11:52:51  glen
- release 3

Revision 1.622  2008/08/29 10:22:47  glen
- drop php.gif, zend.gif, packaging reason and license unknown

Revision 1.621  2008/08/08 20:13:04  arekm
- rel 2

Revision 1.620  2008/08/08 19:47:09  arekm
- up to 4.4.9; last php 4 upstream release ever
  [fixes: CVE-2008-3659 CVE-2008-3660]

Revision 1.619  2008/06/16 11:10:14  glen
- AC-branch merge:
  - -iconv needs iconv databases for charset conversion
  - require same arch gconv modules for -iconv

Revision 1.618  2008/06/16 09:34:02  arekm
- rel 15; lib64 fixes

Revision 1.617  2008/06/16 09:15:52  arekm
- rel 14; libtool 2.2 support; freetds 0.82 support

Revision 1.616  2008-06-03 20:54:13  hawk
- workarounded autoconf 2.62 issue, but still doesn't build, release 13

Revision 1.615  2008-05-26 15:46:56  adamg
- cp config.sub / config.guess; release 12

Revision 1.614  2008-05-26 13:54:27  adamg
- release 11 (rebuild against libltdl-2.2.4)

Revision 1.613  2008-05-13 20:25:13  hawk
- release 10

Revision 1.612  2008-05-13 20:14:03  blues
- provides php(cgi)

Revision 1.611  2008-04-24 14:23:12  glen
- release 9 (imap rebuild)

Revision 1.610  2008-02-23 19:36:23  glen
- release 8

Revision 1.609  2008-02-23 19:34:27  glen
- release 7

Revision 1.608  2008-02-16 15:10:08  hawk
- move icons to /usr/share/apache-icons
- release 6

Revision 1.607  2008-01-31 17:40:39  glen
- rel 5

Revision 1.606  2008-01-28 14:44:20  glen
- rel 4

Revision 1.605  2008-01-23 22:16:26  glen
- rel 3

Revision 1.604  2008-01-23 21:10:35  glen
- gd patch compiles; rel 2 (1 for ac)

Revision 1.603  2008-01-04 09:43:35  glen
- update to 4.4.8:
  - improved fix for MOPB-02-2007
  - resolves MOPB-03-2007, CVE-2007-3378

Revision 1.602  2007-12-26 18:11:16  glen
- use conf.d for apache config fragment; rel 14

Revision 1.601  2007-12-10 12:12:08  hawk
- release 13 (imap 2006k)

Revision 1.600  2007-11-18 18:24:58  arekm
- rel .12

Revision 1.599  2007-11-10 15:29:09  glen
- php-ext_skel is obsoleted; rel 11

Revision 1.598  2007/11/10 15:06:44  glen
- add -fcgi-graceful patch; rel 10

Revision 1.597  2007/11/10 15:04:52  glen
- AC-branch merge

Revision 1.596  2007/11/03 15:17:26  baggins
- rel 8

Revision 1.595  2007/11/03 02:10:03  baggins
- updated openldap BR/R to 2.4.6

Revision 1.594  2007/07/14 21:39:49  arekm
- rel 7

Revision 1.593  2007/07/03 09:13:37  arekm
- rel 6

Revision 1.592  2007/06/21 10:37:27  arekm
- rel 5

Revision 1.591  2007/05/30 20:15:10  arekm
- rel 4; really fix gd threading issues

Revision 1.590  2007/05/30 19:13:24  arekm
- rel 3; try to fix gd threading problems (backport from 5.2 bundled gd)

Revision 1.589  2007/05/30 18:33:28  arekm
- rel 2

Revision 1.588  2007/05/15 18:37:18  glen
- more unneccessary deps

Revision 1.587  2007/05/05 10:00:17  arekm
- up to 4.4.7

Revision 1.586  2007/04/01 23:03:51  baggins
- rel 3
- fix building with MIT Kerberos

Revision 1.585  2007/03/31 22:10:51  baggins
- rel 2
- s/heimdal/krb5/

Revision 1.584  2007/03/01 13:25:58  glen
- 4.4.6, fixes segv in session extension when register_globals was turned on

Revision 1.583  2007/02/27 11:34:00  arekm
- rel 3

Revision 1.582  2007/02/25 15:25:59  arekm
- rel 2

Revision 1.581  2007/02/19 16:36:56  arekm
- rel 1

Revision 1.580  2007/02/19 09:39:22  arekm
- interbase/ming is back

Revision 1.579  2007/02/17 11:45:41  glen
- up to 4.4.5
- gd extension built with bundled gd
- interbase disabled (does not build)
- ming disabled (does not build with new ming)

Revision 1.578  2007/02/13 08:06:40  glen
- tabs in preamble

Revision 1.577  2007/02/12 01:06:26  baggins
- converted to UTF-8

Revision 1.576  2006/12/31 19:40:45  hawk
- fixed building with imap 2006
- release 13

Revision 1.575  2006/12/31 16:21:04  hawk
- release 12, rebuild with imap 2006d

Revision 1.574  2006/12/20 10:57:43  hawk
- release 11 to rebuild with PostgreSQL 8.2

Revision 1.573  2006/12/14 19:34:29  glen
- remove configure command from phpinfo (debian)

Revision 1.572  2006/12/14 00:29:36  glen
- revert from HEAD

Revision 1.570  2006/12/14 00:26:10  glen
- add --sysconfdir to php-config for rpm macros; rel 10

Revision 1.569  2006/12/03 15:00:32  arekm
- fix build with new curl

Revision 1.568  2006/12/03 13:48:00  arekm
- rebuild

Revision 1.567  2006/11/27 13:46:52  glen
- more unneccessary deps

Revision 1.566  2006/11/27 00:40:18  glen
- provides php-devel is pointless

Revision 1.565  2006/11/26 15:36:36  glen
- rel 8

Revision 1.564  2006/11/26 15:10:01  glen
- php-common is still used

Revision 1.563  2006/11/26 15:07:03  glen
- rel 7: drop now deprecated package provides

Revision 1.562  2006/11/21 23:05:54  qboosh
- no more phpfi

Revision 1.561  2006/11/09 00:17:31  glen
- install ext/pcre/php_pcre.h in -devel (AC-branch merge)

Revision 1.560  2006/11/08 23:53:44  glen
- drop also %post/%postun of session

Revision 1.559  2006/11/08 23:48:15  glen
- session doesn't exist as subpackage

Revision 1.558  2006/11/08 23:46:27  glen
- drop php-gd(gif) provides (nothing uses it)

Revision 1.557  2006/11/08 23:44:03  glen
- added php(extension) provides for extensions
- old provides not dropped yet, not to break much at once
- rel 6

Revision 1.556  2006/11/08 14:46:35  glen
- extensions do not have post,preun scripts

Revision 1.555  2006/10/01 11:29:28  arekm
- rebuild

Revision 1.554  2006/08/30 11:04:08  glen
- rel 4: fixed bugs #38534, #38450, #38378, #37812

Revision 1.553  2006/08/29 15:59:46  glen
- wddx module requires symbols from xml module; rel 3

Revision 1.552  2006/08/24 15:47:09  glen
- drop FAQ.php (contains text What is PHP3). thx zod

Revision 1.551  2006/08/20 14:18:50  arekm
- disable gmp patch; breaks build

Revision 1.550  2006/08/20 12:57:57  arekm
- disable firebird on ppc for now

Revision 1.549  2006/08/20 11:09:54  arekm
- proper paths to apr/apu-config

Revision 1.548  2006/08/19 09:20:57  adamg
- updated to 4.4.4 (bugfixes)

Revision 1.547  2006/08/06 11:14:39  adamg
- release 1; works here; STBR AC

Revision 1.546  2006/08/04 13:33:27  adamg
- updated to 4.4.3 (CVE-2006-0996, CVE-2006-1490)

Revision 1.545  2006/07/26 15:02:19  glen
- avoid defining default %attr

Revision 1.544  2006/05/10 08:59:29  glen
- install libphp_common.la first so that apache sapis get linked with installed
  lihphp_common, not (bogus!) one from system (noted on amd64 arch)
- drop apache sapis .la edit, we don't install these, so why bother
- rel 12

Revision 1.543  2006/04/27 19:20:55  glen
- rel 11

Revision 1.542  2006/04/19 17:50:58  adamg
- fix for two security issues: XSS in phpinfo() and binary safeness in
  html_decode

Revision 1.541  2006/04/15 23:42:33  glen
- mssql and sybase/sybase-ct can't be loaded same time (or obsolete?)

Revision 1.540  2006/04/15 23:35:51  glen
- ah, what the hell, pcntl doesn't require any sapi by itself

Revision 1.539  2006/04/15 23:34:59  glen
- php4-program is virtual for different purpose (does anyone need pcntl under cgi/fcgi sapi?)

Revision 1.538  2006/04/06 11:08:08  glen
- configure_cache usage in sane form

Revision 1.537  2006/04/05 21:14:52  glen
- fix libphp_common.la location for extension building

Revision 1.536  2006/04/05 16:14:11  glen
- build cleanups, use permanent config.cache if configured

Revision 1.535  2006/04/05 09:05:30  glen
- CFLAGS mungling unneccessary, all goes via apxs

Revision 1.534  2006/04/05 09:03:00  glen
- renumber sources

Revision 1.533  2006/04/04 16:27:41  glen
- drop php4-module-install, use sed directly in triggers

Revision 1.532  2006/04/04 16:22:01  glen
- search additionally for .ini files from PHP_CONFIG_FILE_PATH/SAPI.d directory
- virtual php(program) dropped, use /usr/bin/php only

Revision 1.531  2006/04/04 15:05:47  glen
- experimental versioning

Revision 1.530  2006/03/24 20:27:06  glen
- build doesn't use perl directly

Revision 1.529  2006/03/24 19:31:56  glen
- sorted bconds

Revision 1.528  2006/03/23 19:10:04  glen
- common dirs moved to php-dirs package, rel 9

Revision 1.527  2006/01/25 21:57:23  arekm
- rel 8; see cvs log php-openssl-huge-hack.patch for details

Revision 1.526  2006/01/24 18:18:39  qboosh
- updated pl

Revision 1.525  2006/01/24 16:24:55  glen
- it's no longer use with apache only

Revision 1.524  2006/01/20 21:18:05  glen
- R: mod_mime for apache module; rel 7, STBR

Revision 1.523  2006/01/18 20:05:05  arekm
- rel 6

Revision 1.522  2006/01/18 18:58:27  arekm
- rel 5; fix bug 36017 (segfault on fopening remote stuff); check if session name doesn't contain wrong characters.

Revision 1.521  2006/01/17 23:00:47  glen
- avoid reading php.ini from arbitary locations (./, ./php4.cli/php.ini); rel 4

Revision 1.520  2006/01/17 15:59:25  baggins
- release 3
- BR openldap 2.3

Revision 1.519  2006/01/14 10:14:02  glen
- merged changes from php.spec (fcgi bcond, build fixes)
- rel 2 for amd64 build fixes

Revision 1.518  2006/01/14 09:28:52  glen
- sorted configure

Revision 1.517  2006/01/14 09:07:52  glen
- use triggers for cli/sapi extensions install

Revision 1.516  2006/01/14 08:45:05  glen
- 4.4.2

Revision 1.515  2006/01/13 09:45:35  glen
- fix older triggers, --enable-inline-optimization

Revision 1.514  2006/01/07 23:41:28  glen
- apache modules api dep should be sufficent

Revision 1.513  2006/01/06 23:49:45  glen
- rel 11

Revision 1.512  2006/01/06 17:38:11  glen
- make getimagesize() work with compressed .swf files, without need for statically linked zlib extension
- adapterized

Revision 1.511  2006/01/06 14:59:24  glen
- zlib_static bcond until better fix is available

Revision 1.510  2006/01/05 22:05:17  glen
- merge from php.spec: wddx module needs xml module loaded first

Revision 1.509  2005/12/24 23:08:56  hawk
- release 10 to rebuild with imap 2004g

Revision 1.508  2005/12/21 23:10:53  glen
- require apache >= 2.2 to prevent php module triggering partial apache upgrade; rel 9

Revision 1.507  2005/12/21 22:40:37  glen
- rel 8 (rebuild with new apache)

Revision 1.506  2005/12/13 14:37:23  glen
- adapterized (sorted %verify flags)

Revision 1.505  2005/12/10 00:03:57  glen
- backported php-cli -dextension loading behaviour from 5.1; rel 7

Revision 1.504  2005/12/02 14:46:35  glen
- let -fcgi provide php virtual
- adapterized, cleanups
- rel 6

Revision 1.503  2005/11/10 21:35:23  arekm
- rel 5; fix bug 35067 (Mikolaj Kucharski)

Revision 1.502  2005/11/09 00:34:03  arekm
- rel 4; fixes http://bugs.php.net/bug.php?id=35056

Revision 1.501  2005/11/08 17:33:57  glen
- fix #35009: ZTS: Persistent resource destruct crashes when extension is compiled as shared
- rel 3

Revision 1.500  2005/11/01 15:17:31  arekm
- rel 2; updated tarball (seems that php team repackaged it before announce)

Revision 1.499  2005/10/30 10:12:09  arekm
- up to 4.4.1

Revision 1.498  2005/10/29 17:16:07  qboosh
- pl for -program

Revision 1.497  2005/10/29 13:42:25  glen
- created -program package which will be providing /usr/bin/php symlink; rel 17

Revision 1.496  2005/10/29 13:37:36  arekm
- correct zend_extension_api error message.

Revision 1.495  2005/10/29 00:46:42  glen
- rebuild with versioned zts and debug provides; rel 16

Revision 1.494  2005/10/27 14:39:49  glen
- Provides php(debug) and php(thread-safety) added; rel 15

Revision 1.493  2005/10/27 14:22:56  glen
- devel docs to -devel package; added php-ext_skel program to devel

Revision 1.492  2005/10/26 19:14:32  glen
- macros.php has nothing to do here (removed)

Revision 1.491  2005/10/26 19:13:54  glen
- add %doc for all extensions

Revision 1.490  2005/10/26 12:40:44  glen
- add README.FastCGI to fcgi package %doc

Revision 1.489  2005/10/20 08:40:41  arekm
- always enable zts (to avoid chaos)

Revision 1.488  2005/10/20 08:38:22  arekm
- add --enable-force-cgi-redirect for cgi sapis; enable zts for apache2

Revision 1.487  2005/10/18 13:55:09  glen
- really do what last commit said

Revision 1.486  2005/10/18 13:31:55  glen
- (paralyzed) --with-pear is back for the sake of include_path; rel 14

Revision 1.485  2005/10/15 21:42:30  glen
- Provides for statically linked extensions
- disable pear completely from here
- rel 13

Revision 1.484  2005/10/06 09:32:39  qboosh
- pl for -tokenizer

Revision 1.483  2005/10/06 09:21:32  glen
- rel 12

Revision 1.482  2005/10/04 14:49:22  glen
- build tokenizer as shared extension

Revision 1.481  2005/10/04 12:48:57  glen
- Provide tokenizer extension. for now it's statically linked (and can't be linked shared without hacking, maybe never)

Revision 1.480  2005/09/29 16:22:03  glen
- fixed amd64 build; rel 11

Revision 1.479  2005/09/29 11:55:23  glen
- BR: pcre-devel for system pcre (suprise!?)

Revision 1.478  2005/09/29 11:41:05  glen
- use system pcre, should resolve bundled pcre CAN-2005-2491; rel 10

Revision 1.477  2005/09/17 11:55:06  arekm
- new readline, 5.0

Revision 1.476  2005/09/16 02:12:42  glen
- hardcode API versions into spec. reliable and works. rel 8

Revision 1.475  2005/09/13 20:42:03  glen
- add php/zend module api version provides

Revision 1.474  2005/09/12 17:07:14  glen
- add /usr/share/php to php4-common package for apps like jpgraph and phplib, rel 7; STBR

Revision 1.473  2005/09/03 12:57:13  glen
- rel 6 for finished %posttrans usage

Revision 1.472  2005/08/23 10:33:21  glen
- organization

Revision 1.471  2005/08/15 23:31:40  glen
- BR: rpm-build >= 4.4.0

Revision 1.470  2005/08/15 22:57:36  glen
- use %posttrans to minimize apache restarts (as rpm never promised
  ordering between install and erase, what in fact may change that
  ordering in order to run erasures in parallel with installs.)

Revision 1.469  2005/08/15 16:12:31  glen
- rel 5, STBR

Revision 1.468  2005/08/14 17:09:55  glen
- %service -q, because only apache package should say to start apache, not php packages

Revision 1.467  2005/08/13 12:04:24  glen
- fix trigger common restart

Revision 1.466  2005/08/13 11:07:23  glen
- compensate missing restart from earlier php4-common package

Revision 1.465  2005/08/12 20:22:47  glen
- internal deps are important for this to work

Revision 1.464  2005/08/12 20:13:13  glen
- minimising apache restarts to 1 on whole php* upgrade

Revision 1.463  2005/08/12 18:57:00  glen
- added missing postun apache restarts back

Revision 1.462  2005/08/12 18:17:49  glen
- cosmetics

Revision 1.461  2005/08/09 14:21:14  glen
- proper openssl trigger

Revision 1.460  2005/08/09 13:35:04  baggins
- commented out openssl trigger

Revision 1.459  2005/08/09 13:34:26  baggins
- added comment about openssl

Revision 1.458  2005/08/09 12:58:24  baggins
- obsoletes for php4-openssl

Revision 1.457  2005/08/09 12:57:07  baggins
- release 4
- IS IT SO FUCKING HARD TO READ CHANGELOG arekm?
- KILLED openssl shared DSO as it NEVER worked, openssl must be built-in!
- todo: trigger/obsolete

Revision 1.456  2005/08/08 10:34:28  glen
- change yelling to TODO as the first won't do anyway, second maybe

Revision 1.455  2005/07/24 21:18:34  glen
- rel 3

Revision 1.454  2005/07/20 10:05:25  glen
- merged from DEVEL:
  - enable config-file-scan-dir, use conf.d for php-scan dir
  - use %service macro to restart webserver (optionally disable-able)
  - FIXED php-SAPI.ini reading for apache2 (trigger included). it NEVER worked!
  - removed obsolete TODO, TODO corrections

Revision 1.453  2005/07/13 11:28:19  arekm
- rel 2; fix phpize

Revision 1.452  2005/07/12 06:09:26  arekm
- rel 1

Revision 1.451  2005/07/11 20:19:07  arekm
- fix lib/build

Revision 1.450  2005/07/11 19:57:41  arekm
- up to 4.4.0; fix apache1/2 bconds

Revision 1.449  2005/07/10 22:20:03  glen
- rel 5

Revision 1.448  2005/07/10 22:16:12  adamg
- pl summary / description for apache{,1}-mod_php4

Revision 1.447  2005/07/09 22:37:40  glen
- use sed to remove php extensions from php.ini file (rather mktemp)

Revision 1.446  2005/07/09 22:25:39  glen
- R: mktemp to -common because php4-module-install uses it

Revision 1.445  2005/07/09 22:04:41  glen
- build fix

Revision 1.444  2005/07/09 20:54:19  glen
- merged apache packages split from DEVEL (1.421.2.3.2.35)

Revision 1.443  2005/07/08 18:06:22  arekm
- BR heimdal-devel >= 0.7

Revision 1.442  2005/07/08 15:55:26  prism
- Hardening patch updated to 0.3.1

Revision 1.441  2005/07/02 23:48:15  prism
- fixed typos in hardening php, now it builds

Revision 1.440  2005/07/02 20:11:20  prism
- Hardened-PHP is renamed to Hardening-Patch due to the PHP license
- s/hardened/hardening/ in bconds
- Hardening-Patch updated to 0.3.0

Revision 1.439  2005/06/08 19:32:28  glen
- update description of -common subpackage
- use --cache-file for configure for faster build

Revision 1.438  2005/05/15 21:42:55  hawk
- rebuild with new imap
- release bumped from 3.3 to 4 (same version of hardened php is working
  for php.spec so it should work here too, imap subpackage changes were
  reported to be working)

Revision 1.437  2005/05/11 15:27:01  qboosh
- use x8664 macro

Revision 1.436  2005/05/11 14:19:33  qboosh
- more general lib64 if

Revision 1.435  2005/04/30 07:18:41  prism
- hardened php updated to 4.3.11-0.2.7

Revision 1.434  2005/04/29 20:13:40  glen
- patch not needed

Revision 1.433  2005/04/29 19:36:48  glen
- enable kerberos for imap extension

Revision 1.432  2005/04/27 14:47:08  hawk
- release 3

Revision 1.431  2005/04/27 11:38:48  glen
- rel 2; STBR

Revision 1.430  2005/04/22 17:34:17  glen
- php4-module-install might be inexistent if all php4-* packages are removed
  see http://www.mail-archive.com/pld-devel-en@pld-linux.org/msg02997.html

Revision 1.429  2005/04/21 19:09:40  glen
- add --apache-version=MAJOR.MINOR.REVISION option instead of hardcoding apache2 version

Revision 1.428  2005/04/16 13:44:40  qboosh
- require glibc >= 2.3.5 because of dlclose() bugs in earlier versions

Revision 1.427  2005/04/04 17:23:24  adamg
- updated -lib64.patch
- fixed values of --with-{jpeg,png,tiff}-dir configure options
- simplified %files (build gets installed in %{_libdir}/php/build)

Revision 1.426  2005/04/04 15:34:54  arekm
- rel 1

Revision 1.425  2005/04/03 15:10:59  arekm
- cpdf patch dropped (not needed); add gmp patch; openssl back into module

Revision 1.424  2005/04/03 12:39:06  glen
- unify

Revision 1.423  2005/03/31 08:43:23  matipl
- move Provides php-dom(xml) to php5

Revision 1.422  2005/03/30 12:30:40  matipl
- add Provides: php-dom for php-domxml (in php5 is only php-dom)

Revision 1.421  2005/03/05 23:21:20  glen
- simplify apache requires

Revision 1.420  2005/03/05 23:06:03  glen
- needs apache(mod_mime) to bind .php files to php handler

Revision 1.419  2005/02/16 18:22:22  glen
- add TODO

Revision 1.418  2005/02/12 19:45:01  arekm
- rel6

Revision 1.417  2005/02/10 22:31:38  adamg
- added install_gd_headers.patch

Revision 1.416  2005/02/09 21:14:28  glen
- forgot php.conf

Revision 1.415  2005/02/09 18:41:27  glen
- confdir support for apache1

Revision 1.414  2005/02/05 22:59:57  hawk
- release 5 to rebuild with new imap

Revision 1.413  2005/01/25 17:49:23  adamg
- PEAR directory structure moved to php-pear.spec

Revision 1.412  2005/01/11 00:15:55  hawk
- release++ to rebuild with new imap

Revision 1.411  2005/01/03 15:05:42  glen
- update BR: mnogosearch-devel version, according to r1.403

Revision 1.410  2004/12/28 20:05:09  glen
- simplify apache1 vs apache2

Revision 1.409  2004/12/28 19:13:05  adamg
- apply uint32_t.patch (hopefully fixes build on sparc)
- release 3

Revision 1.408  2004/12/28 01:21:03  adamg
- release 2

Revision 1.407  2004/12/28 01:16:20  adamg
- epoch bumped to 3 (see
  http://lists.pld-linux.org/pipermail/pld-devel-en/2004-December/003522.html)

Revision 1.406  2004/12/26 20:16:08  qboosh
- added mail patch todo

Revision 1.405  2004/12/26 20:11:32  qboosh
- merged cleanups/cosmetics/minor fixes from php 5

Revision 1.404  2004/12/25 17:55:32  qboosh
- cleanups

Revision 1.403  2004/12/24 23:35:42  adamg
- removed todo entry for mnogosearch (builds with 3.2.29)

Revision 1.402  2004/12/23 15:03:25  adamg
- TODO note really added

Revision 1.401  2004/12/23 15:01:11  adamg
- applied patch that allows build with apache1 (from romke (at) estrefa.pl)
- added note about mnogosearch in TODO

Revision 1.400  2004/12/21 22:04:21  adamg
- apply (conditionally) patch from hardened-php project

Revision 1.399  2004/12/17 13:42:37  qboosh
- removed obsolete comment

Revision 1.398  2004/12/15 21:25:48  adamg
- updated to 4.3.10, several security fixes:
  - CAN-2004-1018
  - CAN-2004-1019
  - CAN-2004-1020
  - CAN-2004-1063
  - CAN-2004-1064
  - CAN-2004-1065
- updated lib64.patch
- dropped mssql.patch (already applied)

Revision 1.397  2004/12/14 16:59:57  baggins
- DON'T hardcode java paths!

Revision 1.396  2004/12/11 01:01:52  ankry
- rel. 6

Revision 1.395  2004/12/11 00:38:32  ankry
- rel. 5

Revision 1.394  2004/12/10 13:35:27  adamg
- release 4, hope for the best

Revision 1.393  2004/12/10 12:48:23  adamg
- try to fix '%files devel' section (hint: never assume you are dumb
  enough, you're not)

Revision 1.392  2004/12/10 11:55:26  adamg
- do not create a symlink /usr/lib/php pointing to /usr/lib64/php

Revision 1.391  2004/12/10 11:34:17  adamg
- updated php4-lib64.patch (fix extension_dir path in php.ini)
- added provides/obsoletes for php4-openssl package in php4-common
- release 3

Revision 1.390  2004/12/02 16:59:10  baggins
- release 2.2
- building openssl ext as shared DLO is pointless - you get no SSL
  functionality in php, so build it built in and now it works

Revision 1.389  2004/12/02 13:34:20  baggins
- don't force apache version to 2 when not compiling with apache2

Revision 1.388  2004/11/26 19:26:24  qboosh
- -common Obsoletes php-session < 3:4.2.1-2 (when it was separate) - that should work

Revision 1.387  2004/11/25 11:01:26  arekm
- bump rel (8.1, 2.1)

Revision 1.386  2004/11/25 11:00:18  arekm
- drop Conflicts between php and php4 package - done on configuration level

Revision 1.385  2004/11/24 11:15:39  ankry
- rel. 2 to rebuild with zziplib 0.13.x

Revision 1.384  2004/11/16 21:20:02  havner
- rel 1

Revision 1.383  2004/11/16 20:48:14  havner
- i hope it will be ok this time, no conflicts for common packages
  cause they can work together when used separately (not by apache), only
  with apache they don't work, so conflicts for php and php4 packages
- devel packages obsolete themeselves (for builders)

Revision 1.382  2004/11/16 19:54:40  havner
- ln -s php4.cli php4

Revision 1.381  2004/11/16 19:39:06  havner
- reverted and hopefully fixed php-program change

Revision 1.380  2004/11/16 19:11:44  havner
- proper conflicts

Revision 1.379  2004/11/15 09:21:09  havner
- now ok

Revision 1.378  2004/11/15 09:19:38  havner
- removed wrong R's

Revision 1.377  2004/11/14 14:27:56  undefine
- obsoletes php5

Revision 1.376  2004/11/11 17:40:56  havner
- provide php-session
- rel 0.5

Revision 1.375  2004/10/30 08:24:16  ankry
- PHP language is not the php program, pl fix

Revision 1.374  2004/10/30 07:07:26  paladine
- unifications

Revision 1.373  2004/10/25 13:35:22  arekm
- make cleaning of stale session files work

Revision 1.372  2004/10/25 10:58:19  qboosh
- there is Firebird-devel on alpha now

Revision 1.371  2004/10/24 22:49:23  paladine
- QT->Qt
- spelling fixes

Revision 1.370  2004/10/24 16:23:27  troll
- completed Provides: to enable PHP apps work with both versions
- rel 0.4
- STBR Ac-test

Revision 1.369  2004/10/20 12:27:35  adamg
- fix ncurses Requires

Revision 1.368  2004/10/20 11:26:03  qboosh
- cleanup (php->php4 leftover)

Revision 1.367  2004/10/20 11:23:50  adamg
- removed bogus BuildRequires: libgcrypt-devel (noticed by qboosh)

Revision 1.366  2004/10/20 11:15:51  qboosh
- formatting fixes _ONCE AGAIN_
- missing strict dep, dropped useless Obsoletes, separate php-cgi-fcgi.ini

Revision 1.365  2004/10/20 10:47:45  qboosh
- aspell version (older had libpspell in separate package)

Revision 1.364  2004/10/20 10:44:35  qboosh
- uncommented Epoch (used in all internal deps)

Revision 1.363  2004/10/18 12:19:28  blues
- release 0.3 - added gd_imagerotate_enable patch from RA-branch to enable
  more functions in php-gd. Commented out Epoch 0 - isn't it assumed by
  default as 0?

Revision 1.362  2004/10/09 00:43:04  undefine
- small patch to allow build without apache installed
- fix to apr 1.0
- more fixes in php4-lib64.patch
- builds ;)

Revision 1.361  2004/10/06 15:55:42  arekm
- rel 1

Revision 1.360  2004/10/02 22:10:07  arekm
- update for new apr

Revision 1.359  2004/09/28 22:27:04  arekm
- provide php-pear

Revision 1.358  2004/09/22 00:02:36  undefine
- update to final 4.3.9, release 0.1 (check if can coexist with php5, if
  not add conflicts to php5).

Revision 1.357  2004/09/14 19:41:01  adamg
- updated to 4.3.9RC3
- not sure if we really want this, but renamed all binaries (php->php4)

Revision 1.356  2004/09/01 18:06:57  adamg
- updated to 4.3.9RC2
- BuildRequires: libgcrypt-devel

Revision 1.355  2004/08/18 22:00:42  qboosh
- added amd64 to archs with Firebird support

Revision 1.354  2004/08/15 20:12:06  adamg
- devel subpackage requires autoconf and automake (needed by phpize)

Revision 1.353  2004/08/13 19:59:31  adamg
- updated to 4.3.9RC1 (bugfixes)
- strict internal deps

Revision 1.352  2004/08/13 10:47:41  undefine
- use php4-module-install instead of php-module-install (or separate php-module
  install from php-5 package?)

Revision 1.351  2004/08/12 14:16:19  blues
- merged changes from RA-branch :) Who will add it to php.spec with php5?

Revision 1.350  2004/08/12 11:21:40  undefine
- remove bogus BR: libidn-devel (already requied by curl-devel)

Revision 1.349  2004/08/11 23:05:33  undefine
- BR: libidn-devel

Revision 1.348  2004/08/11 20:37:41  arekm
- make it not conflicting with php5

Revision 1.347  2004/08/11 19:50:27  arekm
- revert obsoletes (this package has to coexists with php5)

Revision 1.346  2004/08/11 16:47:52  undefine
- add obsoletes to php-<modulename>

Revision 1.327.2.1  2004/07/25 17:11:55  hawk
- release 2 to rebuild with new imap

Revision 1.327  2004/07/14 19:16:50  adamg
- updated to 4.3.8

Revision 1.326  2004/07/12 08:24:19  ankry
- rel. 3 to rebuild with curl-7.12

Revision 1.325  2004/06/09 22:07:57  hawk
- fixed mnogosearch extension compilation error with Firebird-devel 1.5.x

Revision 1.324  2004/06/03 14:33:58  adamg
- updated to 4.3.7

Revision 1.323  2004/05/30 13:52:08  qboosh
- updated Firebird archs

Revision 1.322  2004/05/13 17:17:34  ankry
- spaces -> tabs, other cosmetics

Revision 1.321  2004/04/28 23:37:09  qboosh
- BR+R gd >= 2.0.20 (gdFontCacheShutdown() function, BTS#898)

Revision 1.320  2004/04/16 15:46:53  arekm
- final 4.3.6

Revision 1.319  2004/04/13 17:06:28  arekm
- 4.3.6rc3

Revision 1.318  2004/04/06 23:59:58  arekm
- updated to 4.3.6rc2

Revision 1.317  2004/04/04 19:22:53  adamg
- updated to 4.3.6RC1
- commented out xslt_gcc33.patch (is it really needed?)
- builds, works

Revision 1.316  2004/03/26 23:59:49  arekm
- thread safe version only for apache2

Revision 1.315  2004/03/26 23:52:27  arekm
- always build thread safe version

Revision 1.314  2004/03/26 23:42:14  arekm
- final 4.3.5 (openssl is shared again)

Revision 1.313  2004/03/21 13:38:30  arekm
- updated to RC4

Revision 1.312  2004/03/19 23:46:33  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.311  2004/03/09 01:23:11  arekm
- updated to RC3
- fcgi also has it's own config (exactly the same as cgi one for now)
- cgi still segfaults (try running php from shell and pressing ctrl+D)

Revision 1.310  2004/03/06 16:12:32  arekm
- one item less on TODO list - fcgi support added

Revision 1.309  2004/02/23 22:09:01  ankry
- pl fixes, cosmetics

Revision 1.308  2004/02/06 08:14:51  adamg
- updated to 4.3.5RC2

Revision 1.307  2004/02/05 12:15:11  adamg
- updated to 4.3.5RC1
- removed obsolete -ncurses and -phpize_fixes patches
- updated -no_pear_install.patch

Revision 1.306  2004/01/02 17:54:21  jajcus
- Release: 4 (STBR after AMD64 fixes)

Revision 1.305  2003/12/31 16:32:06  jajcus
- AMD64 build fixes (mostly workaround for f...ed autoconf scripts - -lib64.patch)

Revision 1.304  2003/12/17 00:09:50  qboosh
- typo (it uses aspell library, but module and bcond name is pspell)

Revision 1.303  2003/12/16 22:44:25  qboosh
- new-style bconds
- added more fixes to threads-acfix patch (needed for am 1.8)
- added db42 patch to prefer db-4.2

Revision 1.302  2003/12/05 17:32:33  mmazur
- rel 3 to rebuild with new db (previous rebuild didn't work)

Revision 1.301  2003/12/02 18:15:53  adamg
- added -phpize_fixes.patch - pulled out from cvs.php.net (fixes build
  of pecl extensions)

Revision 1.300  2003/12/02 16:42:07  mmazur
- rel 2 to rebuild with new db

Revision 1.299  2003/11/04 08:43:47  arekm
- final 4.3.4 (mbstring fixes already there)

Revision 1.298  2003/10/30 22:20:12  qboosh
- added mbstring-fixes patch - please check compilation with apache 2.0.x...

Revision 1.297  2003/10/29 23:12:54  adamg
- started update to 4.3.4RC3
- patches apply cleanly, build fails on mbstring extension

Revision 1.296  2003/10/29 21:04:10  qboosh
- BR: Firebird-devel requiring Firebird-lib with fixed libgds for
  predictable results

Revision 1.295  2003/10/29 07:53:23  pius
- added mssql extension module

Revision 1.294  2003/10/28 14:51:31  radek
- BR: Firebird (-lib_util)

Revision 1.293  2003/10/28 09:57:46  arekm
- update apr breq

Revision 1.292  2003/10/22 12:28:55  adamg
- enable filepro module in configure
- builds, not tested yet

Revision 1.291  2003/10/22 10:41:03  adamg
- started update to 4.3.4RC2

Revision 1.290  2003/10/14 11:51:05  qboosh
- BR: libpng-devel not just libpng

Revision 1.289  2003/10/02 08:25:50  adamg
- removed commented out pear-install.patch, no_pear_install.patch is a better thing

Revision 1.288  2003/10/02 08:21:15  adamg
- extended pear package description

Revision 1.287  2003/10/01 22:44:11  ankry
- typo, formatting

Revision 1.286  2003/10/01 22:35:53  adamg
- added information note about PEAR classes to pear's description

Revision 1.285  2003/10/01 14:42:39  adamg
- removed php-install-pear.patch, added php-no_pear_install.patch instead
- builds (--without interbase), needs tests

Revision 1.284  2003/10/01 13:03:27  adamg
- updated to 4.3.4RC1
- added BR: apr-devel
- builds, fails on %install (when installing PEAR)
- Not Finished Yet

Revision 1.283  2003/09/30 20:18:30  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.282  2003/09/18 00:24:59  krzak
- BR s/pspell/aspell/

Revision 1.281  2003/09/01 09:57:59  arekm
- fix without qtdom bcond (was partially named qt)

Revision 1.280  2003/08/26 08:36:31  qboosh
- final 4.3.3, added more fixes to sybase-fix patch
- release 1.1 for testing

Revision 1.279  2003/08/17 12:48:19  qboosh
- enabled pcntl - doesn't cause SEGV now (always, no bcond - no additional deps)
- updated pldlogo patch (domain, no more html when text expected)
- both sybase modules are mutually exclusive

Revision 1.278  2003/08/16 18:49:27  qboosh
- updated cpdf-fix patch (fixes shared cpdf building broken in new way)
- removed obsolete mnogosearch-update patch
- added db-shared patch to build db (aka old xDBM) extension as shared
- added ncurses,qt,sybase-fix patches
- new modules: fribidi, mime_magic, ncurses, qtdom, readline, sybase, sysvmsg
- enabled all languages in mbstring
- allow building fdf extension (requires non-distributable, x86-only fdftk)

Revision 1.277  2003/08/12 22:32:51  ankry
- cosmetics

Revision 1.276  2003/08/08 11:19:10  adamg
- updated to 4.3.3RC3
- added missing BR: elfutils-devel (configure failed when checking snmp,
  but is it really needed?)
- builds (but there are still some problems with cpdf, anyone could look
  at that?

Revision 1.275  2003/08/03 12:08:08  adamg
- updated to 4.3.3-rc2
- php-shared.patch updated
- patch25 not needed anymore?
- there are some problems with cpdf
- not finished yet

Revision 1.274  2003/08/01 20:14:34  arekm
- enable old DBM support

Revision 1.273  2003/07/18 04:48:17  djrzulf
- removed garbage,

Revision 1.272  2003/07/17 09:46:37  wiget
- change %requires_eq apache to R: apache(modules-api) = %{apache_modules_api}
- release 0.5

Revision 1.271  2003/07/13 00:43:57  qboosh
- removed dl-zlib patch (only unnecessary and breaking chunks were left)
- replaced mnogosearch-php-extension-1.68 by mnogosearch-update patch
  (newer update for mnogosearch up to 3.2.13 taken from PHP_4_3 cvs branch)

Revision 1.270  2003/07/02 15:47:46  ggodlewski
- patch15 removed (doesn't work with 27)

Revision 1.269  2003/07/02 12:54:25  ggodlewski
- typo

Revision 1.268  2003/07/02 11:30:49  ggodlewski
- zlib output fixed

Revision 1.267  2003/06/25 12:45:20  ggodlewski
- added --enble-memory-limit

Revision 1.266  2003/06/23 12:20:37  jack
- corrected BR libtool from 0:1.4.3 to 1.4.3 (firstone doesn't  work for me)

Revision 1.265  2003/06/23 11:22:40  qboosh
- updated session-unregister patch (still needed on some systems)
- added allow-db31 patch (allow db 3.1.x from RA, which seems OK)

Revision 1.264  2003/06/21 23:43:57  jack
- BR libtool-1.4.2-9 -> 1.4.3

Revision 1.263  2003/06/19 20:09:55  qboosh
- added epoch to deps
- fixed copy-pasto in post/preun for dio (long time broken?)

Revision 1.262  2003/06/18 12:36:40  ggodlewski
- install fixed, builds, SOA#1

Revision 1.261  2003/06/17 15:26:34  qboosh
- added no-metaccld patch to avoid libtool problems, now pear install fails

Revision 1.260  2003/06/13 14:49:51  qboosh
- updated cpdf-fix,shared patches
- removed obsolete db4,dl-pcre,odbc-fix patches
- added xslt-gcc33 patch
- temporarily disabled session-unregister patch (breaks compilation, must be
  updated - but need to check first, if it's still necessary)
- openssl ext changed to builtin (not supported as shared in php 4.3.2)
- NFY, problems with libtool caused by CC mismatch (apache2 vs cgi)

Revision 1.259  2003/06/11 16:27:17  adamg
- started update to 4.3.2
- commented out obsoleted patch16 (php-dl-pcre.patch) - applied upstream
  (to be removed)
- updated some patches
- php-cpdf-fix.patch and php-odbc-fix.patch still need to be updated
- removed manual (this will be in seperate spec)
- fails on %configure (HGW why)
- release 0.1, not finished yet

Revision 1.258  2003/06/11 06:55:28  adamg
- updated to 1.00b2

Revision 1.257  2003/05/25 06:25:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.256  2003/05/10 22:06:44  radek
- BR: %__perl instead of perl

Revision 1.255  2003/04/05 22:41:14  misiek
- rebuild; rel 4

Revision 1.254  2003/03/19 19:43:38  qboosh
- release 3: use mm 1.3.0 for apache 1.x

Revision 1.253  2003/03/04 20:19:42  radek
- fixed last change

Revision 1.252  2003/03/02 23:26:22  radek
- do not use \1 instead of $1 in perl's s/// operator, it's ambigous
- use the __perl macro

Revision 1.251  2003/02/28 16:38:28  adamg
- small typo.

Revision 1.250  2003/02/24 20:45:24  misiek
- update mnogosearch extension to 1.68

Revision 1.249  2003/02/24 11:15:40  areq
- add tsrmlsfetchgcc2.patch - allow build with gcc 2.x

Revision 1.248  2003/02/23 15:57:50  misiek
- rebuild

Revision 1.247  2003/02/20 10:43:29  qboosh
- added threads-acfix patch to fix pthread library detection
- fixed _without_xml bcond

Revision 1.246  2003/02/17 22:29:24  misiek
- typo

Revision 1.245  2003/02/17 22:18:44  misiek
- fix build with apache2 and update to 4.3.1

Revision 1.244  2003/02/17 20:50:05  misiek
- switch to net-snmp

Revision 1.243  2003/02/13 14:05:23  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.242  2003/01/29 11:50:59  qboosh
- interbase/Firebird is not supported on !x86

Revision 1.241  2003/01/25 19:57:32  qboosh
- finished _without_yaz bcond
- simplified install (more targets done automatically if cli is not disabled)
- release 1

Revision 1.240  2003/01/24 13:56:25  wiget
- fix BR for sablotron-devel

Revision 1.239  2003/01/24 13:30:33  wiget
- added --without yaz bcond
- fixed cURL-devel BR

Revision 1.238  2003/01/19 18:12:06  blues
- pear works now (tnx mmazur)

Revision 1.237  2003/01/12 22:47:23  blues
- pear separated from modules

Revision 1.236  2003/01/08 01:00:00  blues
- big cleanup in pear - NFY

Revision 1.235  2003/01/07 13:20:28  qboosh
- cleanup - removed obsolete patches: mysql-socket,fastcgi,session-fix-shared,
  openssl-for-ext-only,php_iconv_string_declaration,pear-cosmetic,mnogosearch,
  iconv-bug18039
- release 0.5 - waiting for PEAR-related updates

Revision 1.234  2003/01/07 12:56:15  qboosh
- added session-unregister patch to avoid httpd SEGVs with msession module
  (it's something strange - in Ra, on startup apache initializes modules,
   then shutdowns them and initializes again; session module wasn't prepared
   for that (didn't shutdown other session modules cleanly). I couldn't
   reproduce such problems on newer software, but still with apache 1.3.27)

Revision 1.233  2003/01/04 20:39:42  qboosh
- added cli SAPI (as subpackage)
- updated ini files, applied some changes recommended due to security issues,
  added notes about different php-${SAPI}.ini files behaviour

Revision 1.232  2003/01/04 12:15:48  qboosh
- replaced java-fix patch with java-norpath patch (remove redundant rpaths
  in libraries/modules, LD_LIBRARY_PATH must be used anyway to use java module)
- sapi-ini-file patch is back - IMO our behaviour (global php.ini + included
  php-${SAPI}.ini file) seems better
- moved php_java.jar to extensionsdir

Revision 1.231  2003/01/03 12:55:07  qboosh
- added dl-pcre and dl-zlib patches to allow building pcre and zlib extensions
  as modules (don't use them in SAPI and ext/standard functions)
- added more fixes to shared patch
- added libtool patch, updated install stage - now builds, partially works

Revision 1.230  2003/01/02 23:24:03  qboosh
- fixed odbc.so linking (added odbc-fix patch)
- added one more fix to hyperwave-fix patch (now builds as module)
- updated shared patch (but more voodoo required for multiple SAPIs)

Revision 1.229  2003/01/02 20:56:09  qboosh
- added xml-expat-fix patch to fix finding libexpat.so for XML module
- link-libs patch is back (now it only removes -lnsl from libphp4.so)
- wddx patch is back (different fix than before)
- changed xmlrpc-fix patch (different fix than before)
- added one more fix to msession-shared-lib patch
- use system libgd instead of internal version

Revision 1.228  2003/01/02 15:59:16  qboosh
- noted TODO

Revision 1.227  2003/01/02 15:55:42  qboosh
- saving work (NFY, don't touch!)
- patches updated: build_modules,cpdf-fix,db4,hyperwave-fix,ini,libpq_fs_h_path,mail,pldlogo

Revision 1.226  2003/01/02 10:41:47  qboosh
- 4.3.0 started - don't touch!

Revision 1.225  2002/12/24 17:14:36  qboosh
- by default build interbase module using free Firebird libraries
- fixed building with db 4.x (db4 patch)

Revision 1.224  2002/12/07 17:18:44  orzech
- /home/httpd -> /home/services/httpd

Revision 1.223  2002/12/02 22:08:38  ankry
- pl Summary/description fixes
- adapterized

Revision 1.222  2002/10/31 17:05:19  cieciwa
- added bcond _with_db3 to build with db3.

Revision 1.221  2002/10/29 20:50:19  misiek
- added identification of mail source patch (NOTE: this part is very important
  for me so before removing it in case of some upgreade first consult with me).

Revision 1.220  2002/10/21 14:54:42  baggins
- release 7
- add iconv-bug18039 patch (see http://bugs.php.net/bug.php?id=18039)

Revision 1.219  2002/10/21 14:35:27  kloczek
- rlease 6: rebuild for generate correct PEAR depndeces (using rpm >= 4.0.2-100).

Revision 1.218  2002/10/19 15:05:24  kloczek
- rebuild against ucd-snmp 4.2.6.

Revision 1.217  2002/10/14 23:46:37  misto
- new rpm-php-requires/provides scripts
- release 5

Revision 1.216  2002/10/14 14:08:57  qboosh
- PreReq -> Requires+Requires(post,preun) for -common (to avoid errors on rpm -e)
- s/_without_psql/_without_pgsql/g
- release 4

Revision 1.215  2002/10/10 10:40:31  qboosh
- _without_gif requires gd-devel without GIF support

Revision 1.214  2002/10/10 09:54:04  qboosh
- sorted new bconds

Revision 1.213  2002/10/09 13:14:43  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.212  2002/10/08 11:23:32  cieciwa
- added bcond:
-  _without_pspell,
-  _without_mhash,
-  _without_ming,
-  _without_mnogosearch.

Revision 1.211  2002/10/08 10:33:37  cieciwa
- added _without_curl and _without_psql bcond.
- NFY.

Revision 1.210  2002/10/02 07:33:08  qboosh
- -gd R: gd(gif) made conditional (disabled if building w/o gif support); release 3

Revision 1.209  2002/10/02 01:30:33  kloczek
- reelase 2,
- fix http://bugs.pld.org.pl?bug=353: added missing "Requires: gd(gif)" in gd
  subpackage.

Revision 1.208  2002/09/09 14:40:54  misiek
- requires_eq apache2

Revision 1.207  2002/09/09 07:43:51  qboosh
- renumbered patches

Revision 1.206  2002/09/08 15:16:09  misiek
- minimal apache 2 version is 2.0.40

Revision 1.205  2002/09/07 19:57:29  qboosh
- removed obsolete no_php_pcre_in_SAPI_c patch and gmp change from link-libs p.
- fixed mcal patch
- added xmlrpc-fix patch (argh, they always must break something!)
- prepared for building with java in /usr/lib/java
- allow building with pcntl module (CGI-only; bcond - doesn't work correctly)
- more bconds (from Przemek Piotrowski)
- build cpdf and sybase_ct (using freetds) extensions by default
- seems work, but better /test first...

Revision 1.204  2002/09/07 09:37:20  blues
- 4.2.3 - started upgrade - patches updated, mcal need to be updated

Revision 1.203  2002/09/07 06:11:12  blues
- release 8 - added HTML/Template to pear package

Revision 1.202  2002/08/27 12:34:28  blues
- Release 7
- fixed bcond by Przemek Piotrowski <przemek.piotrowski@nic.com.pl>

Revision 1.201  2002/08/22 17:12:18  grzegorz
- added %define apxs /usr/sbin/apxs

Revision 1.200  2002/08/18 13:50:34  blues
- license fix

Revision 1.199  2002/08/13 15:16:30  grzegorz
- sed -e "s/%{_sbindir}\/apxs -e/\%{apxs} -e/"

Revision 1.198  2002/08/09 23:05:25  qboosh
- added ac2.53b/am1.6b compatibility patch

Revision 1.197  2002/08/09 20:09:47  blues
- Release 6: rebuild to remove one more conflict in pear; one dir removed
- STBR

Revision 1.196  2002/08/07 18:00:13  blues
- removed one more file present in php-pear-Date

Revision 1.195  2002/08/07 16:33:05  jajcus
- php-ini.patch unreversed, and applied with -p1

Revision 1.194  2002/08/07 12:40:57  blues
- Release 5: removed conflict with php-pear-Date
- STBR

Revision 1.193  2002/08/01 09:22:06  grzegorz
- change extension_dir to /usr/lib/php in php-ini.patch
- rel 4

Revision 1.192  2002/07/30 22:41:50  blues
- release 3
- pear command is taken now from PEAR package.
- STBR

Revision 1.191  2002/07/30 12:59:53  qboosh
- added _without_pdf bcond, fixed _without_openssl bcond description
- removed BR: pkgconfig (no longer necessary - libpng 1.2.2 hack was dropped)

Revision 1.190  2002/07/27 17:16:21  jajcus
- s/libxslt/libxslt-devel/ in BuildRequires
- Don't use php.ini as source, which is, and will be outdated.
  Use patch for original php.ini-dist instead
- Include unchanged php.init-dist and php.ini-recommended in %doc

Revision 1.189  2002/07/23 11:17:16  wiget
- release 2

Revision 1.188  2002/07/23 11:08:38  wiget
- added mnogosearch.patch with new 1.58 version of php-mnogosearch extension, this version compiles clean with mnogosearch 2.3.5 and newer

Revision 1.187  2002/07/22 19:12:24  qboosh
- release 1 - seems to work

Revision 1.186  2002/07/22 18:07:49  blues
- release 0.9
- cosmetic fixes in pear

Revision 1.185  2002/07/22 15:10:27  qboosh
- started security update to 4.2.2
- builds, not tested yet if works

Revision 1.184  2002/07/20 17:37:41  kloczek
- release 11.

Revision 1.183  2002/07/19 07:33:07  qboosh
- ...and one more

Revision 1.182  2002/07/18 15:11:01  qboosh
- fixed one more mistake found by Przemek Piotrowski

Revision 1.181  2002/07/18 10:15:00  qboosh
- fixed pl descr for -crack and -ctype (reported by Przemek Piotrowski)
- release 10

Revision 1.180  2002/07/13 01:23:11  blues
- back IT* from doc to regular file - maybe someone will need it...?

Revision 1.179  2002/07/12 18:23:10  blues
- Net_SMTP class is out (separate package is avaible)

Revision 1.178  2002/07/12 17:47:59  blues
- added cosmetic patch - dependences are generated correctly now.

Revision 1.177  2002/07/12 12:18:06  blues
- release 9 (rebuild with new rpm)

Revision 1.176  2002/07/04 14:55:43  blues
- one more class required by some classes not present in other classes

Revision 1.175  2002/07/02 16:21:08  blues
- release 8
- more dirs provided by pear
- STBR

Revision 1.174  2002/07/02 09:56:30  qboosh
- better solution - override path, mailer binary not needed

Revision 1.173  2002/07/02 09:27:45  qboosh
- BR: /usr/lib/sendmail (php builds without mail() support when not found)

Revision 1.172  2002/07/02 08:27:52  blues
- these files are temptates and generate unecessary deps (unmet...)
- STBR

Revision 1.171  2002/07/01 20:01:45  kloczek
- s/4.0.4-80/4.0.2-80/

Revision 1.170  2002/07/01 19:31:48  kloczek
- release 7: rebuild on fixed rpm (>= 4.0.2-80) for generate correct perl
  modules dependences.

Revision 1.169  2002/06/30 16:12:14  kloczek
- merge translations from KSI and adapterize spec file.

Revision 1.168  2002/06/29 16:33:38  blues
- release 6

Revision 1.167  2002/06/29 16:20:54  blues
- release 5.9
- removed pear classes included in php - avaible now as separate packages
- devel package for peaple who want to use cvs pear
- additonal package with classes I couldn't find is pear packages...
- STBR for tests

Revision 1.166  2002/06/26 15:35:53  ankry
- added php-php_iconv_string_declaration.patch (fixed build on alpha)
- release 5, STBR

Revision 1.165  2002/06/26 09:36:27  qboosh
- sybase_ct requires autoconf 2.53 to build correctly

Revision 1.164  2002/06/23 20:32:33  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.163  2002/06/23 14:21:21  kloczek
- updated to 4.2.1 (merge DEVEL branch to HEAD).

Revision 1.120.2.40  2002/06/21 22:36:17  qboosh
- release 4: forgotten fix in php-module-install (chmod 644 after module remove)

Revision 1.120.2.39  2002/06/21 10:58:54  wiget
- common now obsoletes old session module

Revision 1.120.2.38  2002/06/21 10:36:40  wiget
- fix building with new apache2 and add missing files to pear; release 3

Revision 1.120.2.37  2002/06/12 19:13:25  qboosh
- experimental: allow using SAPI-dependent config files (loaded after global)
- define session.save_path as /tmp for cgi SAPI and /var/run/php for apache SAPI
- release 2.1, please test

Revision 1.120.2.36  2002/06/11 22:38:30  qboosh
- merged build_modules patch from HEAD
- fixed php-module-install: chmod 644 php.ini after deinstalling
- mnogosearch must be < 3.2.5 (3.2.5 has different API)
- back to statically compiled session - session_mm doesn't work with shared
- new %doc
- release 2, STBR-test

Revision 1.120.2.35  2002/06/10 12:40:13  wiget
- remove obsoleted libpng hack

Revision 1.120.2.34  2002/05/20 19:47:57  qboosh
- oops, that note shouldn't be committed

Revision 1.120.2.33  2002/05/20 16:54:46  blues
- pear sorted

Revision 1.120.2.32  2002/05/20 13:59:56  blues
- more BR for pear

Revision 1.120.2.31  2002/05/20 12:33:02  blues
- BR added

Revision 1.120.2.30  2002/05/14 20:27:13  qboosh
- added _without_msession bcond, automagically define it for !ix86

Revision 1.120.2.29  2002/05/14 16:44:16  qboosh
- new modules: pspell, xmlrpc, mcal, mnogosearch, msession, yaz, zip
  (plus 3 patches to build them using shared libs from PLD)

Revision 1.120.2.28  2002/05/14 07:33:51  wiget
- libpng 1.2.2 ready

Revision 1.120.2.27  2002/05/13 21:34:22  qboosh
- final 4.2.1, Epoch=3

Revision 1.120.2.26  2002/05/12 13:10:29  qboosh
- removed .orig files from pldlogo and link_libs patches
- java module has been renamed to java.so

Revision 1.120.2.25  2002/05/11 19:39:44  misiek
- updated to 4.2.1RC2

Revision 1.120.2.24  2002/05/06 12:17:51  qboosh
- don't even compile pcntl - fails on nest

Revision 1.120.2.23  2002/05/02 16:29:33  qboosh
- don't build pcntl - in 4.2.0 it segfaults; added warning about not
  using with webserver to pcntl description (for future use)
- better filePro,oci8,sybase-ct modules descriptions
- release 2 - please test

Revision 1.120.2.22  2002/05/02 02:37:57  qboosh
- iconv-fix patch to make shared iconv module working
- one more fix in wddx-fix patch to make shared wddx module working
- wddx requires php-session (wddx session support is determined on compile time)

Revision 1.120.2.21  2002/05/02 00:12:09  qboosh
- little fix in cpdf-fix patch (display what should be displayed instead of
  junk), fixed cpdf post/preun
- fixed java module linking, added php_java.jar to -java subpackage
  (where should it go? now it's placed in /usr/lib as originally...)
- changed BR for java to just "jdk >= 1.1" (it can be kaffe, Sun's JDK etc.)
- build ctype,hyperwave,openssl,session as shared modules
  (added patches needed for shared hyperwave,openssl,session;
   added hack to configure to build shared session module without mm support)
- added crack,dbx,dio,mbstring,overload,pcntl modules (shared)
  (mbstring without mbstr-enc-trans, because doesn't work with shared mbstring)
- added warnings to descriptions of experimental modules

Revision 1.120.2.20  2002/05/01 19:38:11  qboosh
- fixed cpdf config (shared cpdf builds now; cpdf-fix patch based on pdf config)
- BR libcpdf-devel with fixed libcpdf.so symlink
- uncommented %clean (forgot about it before commit, as usual)

Revision 1.120.2.19  2002/05/01 16:35:27  qboosh
- fixed linking (link modules with appropriate libraries, not libphp_common);
  added hack to build shared xslt module without sablot-js library
- fixed building shared wddx
- huge cleaning (sorted modules in all sections etc.)
- back to Prereq for php-common in modules - it's required to work, not only
  to (un)install
- -odbc requires unixODBC version with fixed libltdl linking
- updates: sablot module is no longer present; build xslt and wddx modules by
  default; added DOM XSLT support to domxml module
- added sybase-ct module (built with freetds)
- MFH interbase module

Revision 1.120.2.18  2002/04/23 08:52:11  misiek
- updated to final 4.2.0

Revision 1.120.2.17  2002/04/15 11:05:07  misiek
- updated to RC4

Revision 1.120.2.16  2002/04/14 16:25:56  misiek
- explicitly disable cli

Revision 1.120.2.15  2002/04/14 13:13:53  misiek
- fixed pdf subpackage instalation/deinstalation

Revision 1.120.2.14  2002/04/14 12:56:48  misiek
- restart apache2 _after_ uninstalling package

Revision 1.120.2.13  2002/04/13 01:21:14  misiek
- builds fine with apache 2 (but doesn't work yet)
